#line 1 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
#line 1 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/ft900/tof_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for ft90x/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for ft90x/include/stdbool.h"



 typedef char _Bool;
#line 27 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/ft900/tof_hal.h"
void hal_delay( uint16_t ms );
#line 35 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/ft900/tof_hal.h"
int tof_hal_init( void );
#line 47 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/ft900/tof_hal.h"
int tof_hal_write
(
 uint8_t i2c_address,
 uint8_t *buffer,
 uint16_t count
);
#line 68 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/ft900/tof_hal.h"
int tof_hal_read
(
 uint8_t i2c_address,
 uint8_t *buffer,
 uint16_t count
);
#line 87 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/ft900/tof_hal.h"
int tof_hal_transfer
(
 uint8_t i2c_address,
 uint8_t* input,
 uint16_t in_count,
 uint8_t* output,
 uint16_t out_count
);
#line 106 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
static void ( *soft_reset_i2c_p ) ( void );
static void ( *set_slave_address_i2c_p )( unsigned char slave_address );
static unsigned char( *write_i2c_p ) ( unsigned char *buffer,
 unsigned int count );
static unsigned char( *read_i2c_p ) ( unsigned char *buffer,
 unsigned int count );
#line 117 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
void hal_delay( uint16_t ms )
{
#line 126 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 while ( ms-- )
 Delay_1ms();

}

int tof_hal_init( void )
{
#line 200 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 soft_reset_i2c_p = I2CM_Soft_Reset_Ptr;
 set_slave_address_i2c_p = I2CM_Set_Slave_Address_Ptr;
 write_i2c_p = I2CM_Write_Bytes_Ptr;
 read_i2c_p = I2CM_Read_Bytes_Ptr;
#line 212 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 return 0;
}

int tof_hal_write
(
 uint8_t i2c_address,
 uint8_t* buffer,
 uint16_t count
)
{
 int res = 0;
 uint8_t *ptr = buffer;
#line 248 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 set_slave_address_i2c_p( i2c_address );
 res |= write_i2c_p( ptr, count );
#line 262 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 return res;
}

int tof_hal_read
(
 uint8_t i2c_address,
 uint8_t* buffer,
 uint16_t count
)
{
 int res = 0;
 uint8_t *ptr = buffer;
#line 303 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 set_slave_address_i2c_p( i2c_address );
 res |= write_i2c_p( ptr, 1 );
 res |= read_i2c_p( ptr, count );
#line 324 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 return res;
}

int tof_hal_transfer
(
 uint8_t i2c_address,
 uint8_t* input,
 uint16_t in_count,
 uint8_t* output,
 uint16_t out_count
)
{
 int res = 0;
 uint8_t *in = input;
 uint8_t *out = output;
#line 381 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 set_slave_address_i2c_p( i2c_address );
 res |= write_i2c_p( in, in_count );
 set_slave_address_i2c_p( i2c_address );
 res |= read_i2c_p( out, out_count );
#line 404 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/FT900/tof_hal.c"
 return res;
}
