_timer_setup:
;tof_click_example.c,9 :: 		void timer_setup()
;tof_click_example.c,11 :: 		TIMER_CONTROL_0 = 2;
LDK.L	R3, #2
STA.B	TIMER_CONTROL_0+0, R3
;tof_click_example.c,12 :: 		TIMER_SELECT = 0;
LDK.L	R2, #0
STA.B	TIMER_SELECT+0, R2
;tof_click_example.c,13 :: 		TIMER_PRESC_LS = 80;
LDK.L	R0, #80
STA.B	TIMER_PRESC_LS+0, R0
;tof_click_example.c,14 :: 		TIMER_PRESC_MS = 195;
LDK.L	R0, #195
STA.B	TIMER_PRESC_MS+0, R0
;tof_click_example.c,15 :: 		TIMER_WRITE_LS = 1;
LDK.L	R1, #1
STA.B	TIMER_WRITE_LS+0, R1
;tof_click_example.c,16 :: 		TIMER_WRITE_MS = 0;
STA.B	TIMER_WRITE_MS+0, R2
;tof_click_example.c,17 :: 		TIMER_CONTROL_3 = 0;
STA.B	TIMER_CONTROL_3+0, R2
;tof_click_example.c,18 :: 		TIMER_CONTROL_4 = 17;
LDK.L	R0, #17
STA.B	TIMER_CONTROL_4+0, R0
;tof_click_example.c,19 :: 		TIMER_CONTROL_2 = 16;
LDK.L	R0, #16
STA.B	TIMER_CONTROL_2+0, R0
;tof_click_example.c,20 :: 		TIMER_INT = 2;
STA.B	TIMER_INT+0, R3
;tof_click_example.c,21 :: 		IRQ_CTRL.B31 = 0;
LDA.x	R0, #AlignedAddress(IRQ_CTRL+0)
BINS.L	R0, R0, #63
STI.x	IRQ_CTRL+0, #AlignedAddress(R0)
;tof_click_example.c,22 :: 		TIMER_CONTROL_1 = 1;
STA.B	TIMER_CONTROL_1+0, R1
;tof_click_example.c,24 :: 		}
L_end_timer_setup:
RETURN	
; end of _timer_setup
_mcu_setup:
;tof_click_example.c,27 :: 		void mcu_setup()
;tof_click_example.c,30 :: 		GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_1);
LDK.L	R1, #2
LDK.L	R0, #GPIO_PORT_00_07+0
CALL	_GPIO_Digital_Output+0
;tof_click_example.c,31 :: 		GPIO_Digital_Input(&GPIO_PORT_00_07, _GPIO_PINMASK_3);
LDK.L	R1, #8
LDK.L	R0, #GPIO_PORT_00_07+0
CALL	_GPIO_Digital_Input+0
;tof_click_example.c,33 :: 		TOF_ENABLE = 0;
LDA.x	R0, #AlignedAddress(GPIO_PIN1_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN1_bit+0)=0
STI.x	GPIO_PIN1_bit+0, #AlignedAddress(R0)
;tof_click_example.c,34 :: 		delay_ms(100);
LPM.L	R28, #3333331
NOP	
L_mcu_setup0:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_mcu_setup0
JMP	$+8
	#3333331
NOP	
NOP	
;tof_click_example.c,35 :: 		I2CM1_Init( _I2CM_SPEED_MODE_STANDARD, _I2CM_SWAP_DISABLE );
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_I2CM1_Init+0
;tof_click_example.c,36 :: 		delay_ms(200);
LPM.L	R28, #6666665
NOP	
L_mcu_setup2:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_mcu_setup2
JMP	$+8
	#6666665
;tof_click_example.c,37 :: 		tof_hal_init();
CALL	_tof_hal_init+0
;tof_click_example.c,38 :: 		TOF_ENABLE = 1;
LDA.x	R0, #AlignedAddress(GPIO_PIN1_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN1_bit+0)=1
STI.x	GPIO_PIN1_bit+0, #AlignedAddress(R0)
;tof_click_example.c,39 :: 		delay_ms(100);
LPM.L	R28, #3333331
NOP	
L_mcu_setup4:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_mcu_setup4
JMP	$+8
	#3333331
NOP	
NOP	
;tof_click_example.c,40 :: 		Uart1_Init(57600);
LDK.L	R0, #57600
CALL	_UART1_Init+0
;tof_click_example.c,41 :: 		delay_ms(200);
LPM.L	R28, #6666665
NOP	
L_mcu_setup6:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_mcu_setup6
JMP	$+8
	#6666665
;tof_click_example.c,42 :: 		Uart_Write_Text("Uart init\r\n");
LDK.L	R0, #?lstr1_tof_click_example+0
CALL	_UART_Write_Text+0
;tof_click_example.c,46 :: 		}
L_end_mcu_setup:
RETURN	
; end of _mcu_setup
_main:
;tof_click_example.c,52 :: 		void main()
LDK.L	SP, #43605
LINK	LR, #12
;tof_click_example.c,57 :: 		mcu_setup();
CALL	_mcu_setup+0
;tof_click_example.c,58 :: 		timer_setup();
CALL	_timer_setup+0
;tof_click_example.c,60 :: 		tof_init(true);
LDK.L	R0, #1
CALL	_tof_init+0
;tof_click_example.c,61 :: 		tof_set_timeout(500);
LDK.L	R0, #500
CALL	_tof_set_timeout+0
;tof_click_example.c,62 :: 		tof_start_continuous(0);
LDK.L	R0, #0
CALL	_tof_start_continuous+0
;tof_click_example.c,63 :: 		Uart_Write_Text("TOF ready\r\n");
LDK.L	R0, #?lstr2_tof_click_example+0
CALL	_UART_Write_Text+0
;tof_click_example.c,66 :: 		while(1)
L_main8:
;tof_click_example.c,68 :: 		range = tof_read_range_continuous_millimeters();
CALL	_tof_read_range_continuous_millimeters+0
STA.S	_range+0, R0
;tof_click_example.c,69 :: 		WordToStr(range, txt);
ADD.L	R1, SP, #0
CALL	_WordToStr+0
;tof_click_example.c,70 :: 		Uart_Write_Text("Range: ");
LDK.L	R0, #?lstr3_tof_click_example+0
CALL	_UART_Write_Text+0
;tof_click_example.c,71 :: 		Uart_Write_Text(txt);
ADD.L	R0, SP, #0
CALL	_UART_Write_Text+0
;tof_click_example.c,72 :: 		Uart_Write_Text("\r\n");
LDK.L	R0, #?lstr4_tof_click_example+0
CALL	_UART_Write_Text+0
;tof_click_example.c,74 :: 		if (tof_timeout_occurred())
CALL	_tof_timeout_occurred+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main10
;tof_click_example.c,75 :: 		Uart_Write_Text("TIMEOUT\r\n");
LDK.L	R0, #?lstr5_tof_click_example+0
CALL	_UART_Write_Text+0
L_main10:
;tof_click_example.c,77 :: 		}
JMP	L_main8
;tof_click_example.c,80 :: 		}
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
_TimerInterrupt:
;tof_click_example.c,82 :: 		void TimerInterrupt() iv IVT_TIMERS_IRQ
;tof_click_example.c,84 :: 		if (TIMER_INT_A_bit)
LDA.x	R0, #AlignedAddress(TIMER_INT_A_bit+0)
BEXTU.L	R0, R0, #BitPos(TIMER_INT_A_bit+0)
CMP.L	R0, #0
JMPC	R30, Z, #1, L_TimerInterrupt11
;tof_click_example.c,86 :: 		TIMER_INT = (TIMER_INT & 0xAA) | (1 << 0);
LDA.B	R0, TIMER_INT+0
AND.L	R0, R0, #170
BEXTU.L	R0, R0, #256
OR.L	R0, R0, #1
STA.B	TIMER_INT+0, R0
;tof_click_example.c,87 :: 		milliseconds_counter++;
LDA.L	R2, _milliseconds_counter+0
LDA.L	R3, _milliseconds_counter+4
ADDCC.L	R2, #1
ADD.L	R0, R2, #1
ADD.L	R1, R3, #0
BEXTU.L	R30, R30, #33
ADD.L	R1, R1, R30
STA.L	_milliseconds_counter+0, R0
STA.L	_milliseconds_counter+4, R1
;tof_click_example.c,88 :: 		}
L_TimerInterrupt11:
;tof_click_example.c,90 :: 		}
L_end_TimerInterrupt:
RETI	
; end of _TimerInterrupt
