_hal_delay:
;tof_hal.c,117 :: 		void hal_delay( uint16_t ms )
; ms start address is: 0 (R0)
; ms end address is: 0 (R0)
; ms start address is: 0 (R0)
;tof_hal.c,126 :: 		while ( ms-- )
L_hal_delay0:
; ms start address is: 0 (R0)
BEXTU.L	R2, R0, #0
SUB.L	R1, R0, #1
BEXTU.L	R0, R1, #0
; ms end address is: 0 (R0)
CMP.S	R2, #0
JMPC	R30, Z, #1, L_hal_delay1
; ms end address is: 0 (R0)
;tof_hal.c,127 :: 		Delay_1ms();
; ms start address is: 0 (R0)
CALL	_Delay_1ms+0
; ms end address is: 0 (R0)
JMP	L_hal_delay0
L_hal_delay1:
;tof_hal.c,129 :: 		}
L_end_hal_delay:
RETURN	
; end of _hal_delay
_tof_hal_init:
;tof_hal.c,131 :: 		int tof_hal_init( void )
;tof_hal.c,200 :: 		soft_reset_i2c_p            = I2CM_Soft_Reset_Ptr;
LDA.L	R0, _I2CM_Soft_Reset_Ptr+0
STA.L	tof_hal_soft_reset_i2c_p+0, R0
;tof_hal.c,201 :: 		set_slave_address_i2c_p     = I2CM_Set_Slave_Address_Ptr;
LDA.L	R0, _I2CM_Set_Slave_Address_Ptr+0
STA.L	tof_hal_set_slave_address_i2c_p+0, R0
;tof_hal.c,202 :: 		write_i2c_p                 = I2CM_Write_Bytes_Ptr;
LDA.L	R0, _I2CM_Write_Bytes_Ptr+0
STA.L	tof_hal_write_i2c_p+0, R0
;tof_hal.c,203 :: 		read_i2c_p                  = I2CM_Read_Bytes_Ptr;
LDA.L	R0, _I2CM_Read_Bytes_Ptr+0
STA.L	tof_hal_read_i2c_p+0, R0
;tof_hal.c,212 :: 		return 0;
LDK.L	R0, #0
;tof_hal.c,213 :: 		}
L_end_tof_hal_init:
RETURN	
; end of _tof_hal_init
_tof_hal_write:
;tof_hal.c,220 :: 		)
; buffer start address is: 4 (R1)
; i2c_address start address is: 0 (R0)
LINK	LR, #12
STI.S	SP, #8, R2
; buffer end address is: 4 (R1)
; i2c_address end address is: 0 (R0)
; i2c_address start address is: 0 (R0)
; buffer start address is: 4 (R1)
;tof_hal.c,222 :: 		int res = 0;
LDK.L	R3, #0
STI.S	SP, #4, R3
;tof_hal.c,223 :: 		uint8_t *ptr = buffer;
STI.L	SP, #0, R1
; buffer end address is: 4 (R1)
;tof_hal.c,248 :: 		set_slave_address_i2c_p( i2c_address );
; i2c_address end address is: 0 (R0)
LDA.L	R6, tof_hal_set_slave_address_i2c_p+0
CALLI	R6
;tof_hal.c,249 :: 		res |= write_i2c_p( ptr, count );
LDI.S	R1, SP, #8
LDI.L	R0, SP, #0
LDA.L	R6, tof_hal_write_i2c_p+0
CALLI	R6
LDI.S	R3, SP, #4
BEXTS.L	R3, R3, #0
OR.L	R3, R3, R0
;tof_hal.c,262 :: 		return res;
BEXTS.L	R0, R3, #0
;tof_hal.c,263 :: 		}
L_end_tof_hal_write:
UNLINK	LR
RETURN	
; end of _tof_hal_write
_tof_hal_read:
;tof_hal.c,270 :: 		)
; buffer start address is: 4 (R1)
; i2c_address start address is: 0 (R0)
LINK	LR, #12
STI.S	SP, #8, R2
; buffer end address is: 4 (R1)
; i2c_address end address is: 0 (R0)
; i2c_address start address is: 0 (R0)
; buffer start address is: 4 (R1)
;tof_hal.c,272 :: 		int res = 0;
LDK.L	R3, #0
STI.S	SP, #4, R3
;tof_hal.c,273 :: 		uint8_t *ptr = buffer;
STI.L	SP, #0, R1
; buffer end address is: 4 (R1)
;tof_hal.c,303 :: 		set_slave_address_i2c_p( i2c_address );
; i2c_address end address is: 0 (R0)
LDA.L	R6, tof_hal_set_slave_address_i2c_p+0
CALLI	R6
;tof_hal.c,304 :: 		res |= write_i2c_p( ptr, 1 );
LDK.L	R1, #1
LDI.L	R0, SP, #0
LDA.L	R6, tof_hal_write_i2c_p+0
CALLI	R6
LDI.S	R3, SP, #4
BEXTS.L	R3, R3, #0
OR.L	R3, R3, R0
STI.S	SP, #4, R3
;tof_hal.c,305 :: 		res |= read_i2c_p( ptr, count );
LDI.S	R1, SP, #8
LDI.L	R0, SP, #0
LDA.L	R6, tof_hal_read_i2c_p+0
CALLI	R6
LDI.S	R3, SP, #4
BEXTS.L	R3, R3, #0
OR.L	R3, R3, R0
;tof_hal.c,324 :: 		return res;
BEXTS.L	R0, R3, #0
;tof_hal.c,325 :: 		}
L_end_tof_hal_read:
UNLINK	LR
RETURN	
; end of _tof_hal_read
_tof_hal_transfer:
;tof_hal.c,334 :: 		)
; output start address is: 12 (R3)
; input start address is: 4 (R1)
LINK	LR, #24
STI.B	SP, #12, R0
MOVE.L	R0, R1
MOVE.L	R1, R3
STI.S	SP, #16, R2
STI.S	SP, #20, R4
; output end address is: 12 (R3)
; input end address is: 4 (R1)
; input start address is: 0 (R0)
; output start address is: 4 (R1)
;tof_hal.c,336 :: 		int res = 0;
LDK.L	R5, #0
STI.S	SP, #8, R5
;tof_hal.c,337 :: 		uint8_t *in = input;
STI.L	SP, #0, R0
; input end address is: 0 (R0)
;tof_hal.c,338 :: 		uint8_t *out = output;
STI.L	SP, #4, R1
; output end address is: 4 (R1)
;tof_hal.c,381 :: 		set_slave_address_i2c_p( i2c_address );
LDI.B	R0, SP, #12
LDA.L	R6, tof_hal_set_slave_address_i2c_p+0
CALLI	R6
;tof_hal.c,382 :: 		res |= write_i2c_p( in, in_count );
LDI.S	R1, SP, #16
LDI.L	R0, SP, #0
LDA.L	R6, tof_hal_write_i2c_p+0
CALLI	R6
LDI.S	R5, SP, #8
BEXTS.L	R5, R5, #0
OR.L	R5, R5, R0
STI.S	SP, #8, R5
;tof_hal.c,383 :: 		set_slave_address_i2c_p( i2c_address );
LDI.B	R0, SP, #12
LDA.L	R6, tof_hal_set_slave_address_i2c_p+0
CALLI	R6
;tof_hal.c,384 :: 		res |= read_i2c_p( out, out_count );
LDI.S	R1, SP, #20
LDI.L	R0, SP, #4
LDA.L	R6, tof_hal_read_i2c_p+0
CALLI	R6
LDI.S	R5, SP, #8
BEXTS.L	R5, R5, #0
OR.L	R5, R5, R0
;tof_hal.c,404 :: 		return res;
BEXTS.L	R0, R5, #0
;tof_hal.c,405 :: 		}
L_end_tof_hal_transfer:
UNLINK	LR
RETURN	
; end of _tof_hal_transfer
