_milliseconds:
;tof_hw.c,15 :: 		uint64_t milliseconds()
;tof_hw.c,17 :: 		return milliseconds_counter;
LDA.L	R0, _milliseconds_counter+0
LDA.L	R1, _milliseconds_counter+4
;tof_hw.c,18 :: 		}
L_end_milliseconds:
RETURN	
; end of _milliseconds
_tof_check_timeout_expired:
;tof_hw.c,20 :: 		bool tof_check_timeout_expired()
;tof_hw.c,22 :: 		return (io_timeout > 0 && ((uint16_t)milliseconds() - timeout_start_ms) > io_timeout);
LDA.S	R0, _io_timeout+0
CMP.S	R0, #0
JMPC	R30, A, #0, L_tof_check_timeout_expired1
CALL	_milliseconds+0
LDA.S	R2, _timeout_start_ms+0
BEXTU.L	R0, R0, #0
SUB.L	R1, R0, R2
LDA.S	R0, _io_timeout+0
CMP.S	R1, R0
JMPC	R30, A, #0, L_tof_check_timeout_expired1
LDK.L	R0, #1
JMP	L_tof_check_timeout_expired0
L_tof_check_timeout_expired1:
LDK.L	R0, #0
L_tof_check_timeout_expired0:
;tof_hw.c,23 :: 		}
L_end_tof_check_timeout_expired:
RETURN	
; end of _tof_check_timeout_expired
_tof_set_timeout:
;tof_hw.c,25 :: 		void tof_set_timeout(uint16_t timeout)
; timeout start address is: 0 (R0)
; timeout end address is: 0 (R0)
; timeout start address is: 0 (R0)
;tof_hw.c,27 :: 		io_timeout = timeout;
STA.S	_io_timeout+0, R0
; timeout end address is: 0 (R0)
;tof_hw.c,28 :: 		}
L_end_tof_set_timeout:
RETURN	
; end of _tof_set_timeout
_tof_get_timeout:
;tof_hw.c,30 :: 		uint16_t tof_get_timeout()
;tof_hw.c,32 :: 		return io_timeout;
LDA.S	R0, _io_timeout+0
;tof_hw.c,33 :: 		}
L_end_tof_get_timeout:
RETURN	
; end of _tof_get_timeout
_tof_write_reg:
;tof_hw.c,52 :: 		void tof_write_reg(uint8_t reg, uint8_t value)
; value start address is: 4 (R1)
; reg start address is: 0 (R0)
LINK	LR, #4
; value end address is: 4 (R1)
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
; value start address is: 4 (R1)
;tof_hw.c,55 :: 		temp[0] = reg;
ADD.L	R3, SP, #0
STI.B	R3, #0, R0
; reg end address is: 0 (R0)
;tof_hw.c,56 :: 		temp[1] = value;
ADD.L	R2, R3, #1
STI.B	R2, #0, R1
; value end address is: 4 (R1)
;tof_hw.c,57 :: 		tof_hal_write(VL53L0X_ADDR, temp, 2);
LDK.L	R2, #2
MOVE.L	R1, R3
LDK.L	R0, #41
CALL	_tof_hal_write+0
;tof_hw.c,58 :: 		}
L_end_tof_write_reg:
UNLINK	LR
RETURN	
; end of _tof_write_reg
_tof_write_reg_16Bit:
;tof_hw.c,62 :: 		void tof_write_reg_16Bit(uint8_t reg, uint16_t value)
; value start address is: 4 (R1)
; reg start address is: 0 (R0)
LINK	LR, #4
; value end address is: 4 (R1)
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
; value start address is: 4 (R1)
;tof_hw.c,65 :: 		temp[0] = reg;
ADD.L	R4, SP, #0
STI.B	R4, #0, R0
; reg end address is: 0 (R0)
;tof_hw.c,66 :: 		temp[1] = (uint8_t) (value >> 8);
ADD.L	R3, R4, #1
BEXTU.L	R2, R1, #0
LSHR.L	R2, R2, #8
BEXTU.L	R2, R2, #256
STI.B	R3, #0, R2
;tof_hw.c,67 :: 		temp[2] = (uint8_t) (value);
ADD.L	R3, R4, #2
BEXTU.L	R2, R1, #256
; value end address is: 4 (R1)
STI.B	R3, #0, R2
;tof_hw.c,68 :: 		tof_hal_write(VL53L0X_ADDR, temp, 3);
LDK.L	R2, #3
MOVE.L	R1, R4
LDK.L	R0, #41
CALL	_tof_hal_write+0
;tof_hw.c,69 :: 		}
L_end_tof_write_reg_16Bit:
UNLINK	LR
RETURN	
; end of _tof_write_reg_16Bit
_tof_write_reg_32Bit:
;tof_hw.c,72 :: 		void tof_write_reg_32Bit(uint8_t reg, uint32_t value)
; value start address is: 4 (R1)
; reg start address is: 0 (R0)
LINK	LR, #4
; value end address is: 4 (R1)
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
; value start address is: 4 (R1)
;tof_hw.c,75 :: 		temp[0] = reg;
ADD.L	R4, SP, #0
STI.B	R4, #0, R0
; reg end address is: 0 (R0)
;tof_hw.c,76 :: 		temp[1] = (uint8_t) (value >> 24);
ADD.L	R3, R4, #1
LSHR.L	R2, R1, #24
BEXTU.L	R2, R2, #256
STI.B	R3, #0, R2
;tof_hw.c,77 :: 		temp[2] = (uint8_t) (value >> 16);
ADD.L	R3, R4, #2
LSHR.L	R2, R1, #16
BEXTU.L	R2, R2, #256
STI.B	R3, #0, R2
;tof_hw.c,78 :: 		temp[3] = (uint8_t) (value >> 8);
ADD.L	R3, R4, #3
LSHR.L	R2, R1, #8
BEXTU.L	R2, R2, #256
STI.B	R3, #0, R2
;tof_hw.c,79 :: 		temp[4] = (uint8_t) (value);
ADD.L	R3, R4, #4
BEXTU.L	R2, R1, #256
; value end address is: 4 (R1)
STI.B	R3, #0, R2
;tof_hw.c,80 :: 		tof_hal_write(VL53L0X_ADDR, temp, 5);
LDK.L	R2, #5
MOVE.L	R1, R4
LDK.L	R0, #41
CALL	_tof_hal_write+0
;tof_hw.c,81 :: 		}
L_end_tof_write_reg_32Bit:
UNLINK	LR
RETURN	
; end of _tof_write_reg_32Bit
_tof_read_reg:
;tof_hw.c,84 :: 		uint8_t tof_read_reg(uint8_t reg)
; reg start address is: 0 (R0)
LINK	LR, #4
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
;tof_hw.c,86 :: 		uint8_t value = reg;
STI.B	SP, #0, R0
; reg end address is: 0 (R0)
;tof_hw.c,87 :: 		tof_hal_read(VL53L0X_ADDR, &value, 1);
ADD.L	R1, SP, #0
LDK.L	R2, #1
LDK.L	R0, #41
CALL	_tof_hal_read+0
;tof_hw.c,88 :: 		return value;
LDI.B	R0, SP, #0
;tof_hw.c,89 :: 		}
L_end_tof_read_reg:
UNLINK	LR
RETURN	
; end of _tof_read_reg
_tof_read_reg_16Bit:
;tof_hw.c,92 :: 		uint16_t tof_read_reg_16Bit(uint8_t reg)
; reg start address is: 0 (R0)
LINK	LR, #4
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
;tof_hw.c,96 :: 		temp[0] = reg;
ADD.L	R1, SP, #0
STI.B	R1, #0, R0
; reg end address is: 0 (R0)
;tof_hw.c,98 :: 		tof_hal_read(VL53L0X_ADDR, temp, 2);
LDK.L	R2, #2
LDK.L	R0, #41
CALL	_tof_hal_read+0
;tof_hw.c,99 :: 		value = (uint16_t) (temp[0]);
ADD.L	R3, SP, #0
LDI.B	R1, R3, #0
;tof_hw.c,100 :: 		value <<= 8;
ASHL.L	R2, R1, #8
BEXTU.L	R2, R2, #0
;tof_hw.c,101 :: 		value |= (uint16_t) (temp[1]);
ADD.L	R1, R3, #1
LDI.B	R1, R1, #0
OR.L	R1, R2, R1
;tof_hw.c,102 :: 		return value;
BEXTU.L	R0, R1, #0
;tof_hw.c,103 :: 		}
L_end_tof_read_reg_16Bit:
UNLINK	LR
RETURN	
; end of _tof_read_reg_16Bit
_tof_read_reg_32Bit:
;tof_hw.c,106 :: 		uint32_t tof_read_reg_32Bit(uint8_t reg)
; reg start address is: 0 (R0)
LINK	LR, #8
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
;tof_hw.c,110 :: 		temp[0] = reg;
ADD.L	R1, SP, #4
STI.B	R1, #0, R0
; reg end address is: 0 (R0)
;tof_hw.c,112 :: 		tof_hal_read(VL53L0X_ADDR, temp, 3);
LDK.L	R2, #3
LDK.L	R0, #41
CALL	_tof_hal_read+0
;tof_hw.c,114 :: 		value |= ((uint32_t) temp[0]) << 24;
ADD.L	R3, SP, #4
LDI.B	R1, R3, #0
ASHL.L	R2, R1, #24
LDI.L	R1, SP, #0
OR.L	R2, R1, R2
STI.L	SP, #0, R2
;tof_hw.c,115 :: 		value |= ((uint32_t) temp[1]) << 16;
ADD.L	R1, R3, #1
LDI.B	R1, R1, #0
ASHL.L	R1, R1, #16
OR.L	R2, R2, R1
STI.L	SP, #0, R2
;tof_hw.c,116 :: 		value |= ((uint32_t) temp[2]) << 8;
ADD.L	R1, R3, #2
LDI.B	R1, R1, #0
ASHL.L	R1, R1, #8
OR.L	R2, R2, R1
STI.L	SP, #0, R2
;tof_hw.c,117 :: 		value |= (uint32_t) (temp[3]);
ADD.L	R1, R3, #3
LDI.B	R1, R1, #0
OR.L	R1, R2, R1
STI.L	SP, #0, R1
;tof_hw.c,118 :: 		return value;
MOVE.L	R0, R1
;tof_hw.c,119 :: 		}
L_end_tof_read_reg_32Bit:
UNLINK	LR
RETURN	
; end of _tof_read_reg_32Bit
_tof_init:
;tof_hw.c,122 :: 		bool tof_init(bool io_2v8)
; io_2v8 start address is: 0 (R0)
LINK	LR, #16
; io_2v8 end address is: 0 (R0)
; io_2v8 start address is: 0 (R0)
;tof_hw.c,135 :: 		if (io_2v8)
CMP.B	R0, #0
JMPC	R30, Z, #1, L_tof_init2
; io_2v8 end address is: 0 (R0)
;tof_hw.c,138 :: 		tof_read_reg(VHV_CONFIG_PAD_SCL_SDA__EXTSUP_HV) | 0x01);
LDK.L	R0, #137
CALL	_tof_read_reg+0
OR.L	R1, R0, #1
;tof_hw.c,137 :: 		tof_write_reg(VHV_CONFIG_PAD_SCL_SDA__EXTSUP_HV,
LDK.L	R0, #137
;tof_hw.c,138 :: 		tof_read_reg(VHV_CONFIG_PAD_SCL_SDA__EXTSUP_HV) | 0x01);
CALL	_tof_write_reg+0
;tof_hw.c,139 :: 		}
L_tof_init2:
;tof_hw.c,142 :: 		tof_write_reg(0x88, 0x00);
LDK.L	R1, #0
LDK.L	R0, #136
CALL	_tof_write_reg+0
;tof_hw.c,144 :: 		tof_write_reg(0x80, 0x01);
LDK.L	R1, #1
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,145 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,146 :: 		tof_write_reg(0x00, 0x00);
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,147 :: 		stop_variable = tof_read_reg(0x91);
LDK.L	R0, #145
CALL	_tof_read_reg+0
STA.B	_stop_variable+0, R0
;tof_hw.c,148 :: 		tof_write_reg(0x00, 0x01);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,149 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,150 :: 		tof_write_reg(0x80, 0x00);
LDK.L	R1, #0
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,153 :: 		tof_write_reg(MSRC_CONFIG_CONTROL, tof_read_reg(MSRC_CONFIG_CONTROL) | 0x12);
LDK.L	R0, #96
CALL	_tof_read_reg+0
OR.L	R1, R0, #18
LDK.L	R0, #96
CALL	_tof_write_reg+0
;tof_hw.c,156 :: 		tof_set_signal_rate_limit(0.25);
LDK.L	R0, #1048576000
LDL.L	R0, R0, #1048576000
CALL	_tof_set_signal_rate_limit+0
;tof_hw.c,158 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0xFF);
LDK.L	R1, #255
LDK.L	R0, #1
CALL	_tof_write_reg+0
;tof_hw.c,161 :: 		if (!tof_get_spad_info(&spad_count, &spad_type_is_aperture)) { return false; }
ADD.L	R2, SP, #1
ADD.L	R1, SP, #0
MOVE.L	R0, R1
MOVE.L	R1, R2
CALL	_tof_get_spad_info+0
CMP.B	R0, #0
JMPC	R30, Z, #0, L_tof_init3
LDK.L	R0, #0
JMP	L_end_tof_init
L_tof_init3:
;tof_hw.c,163 :: 		ref_spad_map[0] = GLOBAL_CONFIG_SPAD_ENABLES_REF_0;
ADD.L	R2, SP, #2
LDK.L	R1, #176
STI.B	R2, #0, R1
;tof_hw.c,165 :: 		tof_hal_read(VL53L0X_ADDR, ref_spad_map, 6);
MOVE.L	R1, R2
LDK.L	R2, #6
LDK.L	R0, #41
CALL	_tof_hal_read+0
;tof_hw.c,168 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,169 :: 		tof_write_reg(DYNAMIC_SPAD_REF_EN_START_OFFSET, 0x00);
LDK.L	R1, #0
LDK.L	R0, #79
CALL	_tof_write_reg+0
;tof_hw.c,170 :: 		tof_write_reg(DYNAMIC_SPAD_NUM_REQUESTED_REF_SPAD, 0x2C);
LDK.L	R1, #44
LDK.L	R0, #78
CALL	_tof_write_reg+0
;tof_hw.c,171 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,172 :: 		tof_write_reg(GLOBAL_CONFIG_REF_EN_START_SELECT, 0xB4);
LDK.L	R1, #180
LDK.L	R0, #182
CALL	_tof_write_reg+0
;tof_hw.c,174 :: 		first_spad_to_enable = spad_type_is_aperture ? 12 : 0; // 12 is the first aperture spad
LDI.B	R1, SP, #1
CMP.B	R1, #0
JMPC	R30, Z, #1, L_tof_init4
; ?FLOC___tof_init?T105 start address is: 4 (R1)
LDK.L	R1, #12
; ?FLOC___tof_init?T105 end address is: 4 (R1)
JMP	L_tof_init5
L_tof_init4:
; ?FLOC___tof_init?T105 start address is: 4 (R1)
LDK.L	R1, #0
; ?FLOC___tof_init?T105 end address is: 4 (R1)
L_tof_init5:
; ?FLOC___tof_init?T105 start address is: 4 (R1)
; first_spad_to_enable start address is: 0 (R0)
BEXTU.L	R0, R1, #256
; ?FLOC___tof_init?T105 end address is: 4 (R1)
;tof_hw.c,175 :: 		spads_enabled = 0;
; spads_enabled start address is: 20 (R5)
LDK.L	R5, #0
;tof_hw.c,177 :: 		for ( i = 0; i < 48; i++)
; i start address is: 16 (R4)
LDK.L	R4, #0
; spads_enabled end address is: 20 (R5)
; i end address is: 16 (R4)
L_tof_init6:
; i start address is: 16 (R4)
; spads_enabled start address is: 20 (R5)
; first_spad_to_enable start address is: 0 (R0)
; first_spad_to_enable end address is: 0 (R0)
CMP.B	R4, #48
JMPC	R30, C, #0, L_tof_init7
; first_spad_to_enable end address is: 0 (R0)
;tof_hw.c,179 :: 		if (i < first_spad_to_enable || spads_enabled == spad_count)
; first_spad_to_enable start address is: 0 (R0)
CMP.B	R4, R0
JMPC	R30, C, #1, L__tof_init95
LDI.B	R1, SP, #0
CMP.B	R5, R1
JMPC	R30, Z, #1, L__tof_init94
JMP	L_tof_init11
L__tof_init95:
L__tof_init94:
;tof_hw.c,181 :: 		ref_spad_map[i / 8] &= ~(1 << (i % 8));
BEXTU.L	R1, R4, #256
LSHR.L	R2, R1, #3
BEXTU.L	R2, R2, #256
ADD.L	R1, SP, #2
ADD.L	R3, R1, R2
AND.L	R1, R4, #7
BEXTU.L	R1, R1, #256
BEXTU.L	R2, R1, #256
LDK.L	R1, #1
ASHL.L	R1, R1, R2
BEXTS.L	R1, R1, #0
XOR.L	R2, R1, #-1
BEXTS.L	R2, R2, #0
LDI.B	R1, R3, #0
AND.L	R1, R1, R2
STI.B	R3, #0, R1
;tof_hw.c,182 :: 		}
JMP	L_tof_init12
L_tof_init11:
;tof_hw.c,183 :: 		else if ((ref_spad_map[i / 8] >> (i % 8)) & 0x1)
BEXTU.L	R1, R4, #256
LSHR.L	R2, R1, #3
BEXTU.L	R2, R2, #256
ADD.L	R1, SP, #2
ADD.L	R1, R1, R2
LDI.B	R2, R1, #0
AND.L	R1, R4, #7
BEXTU.L	R1, R1, #256
LSHR.L	R1, R2, R1
BEXTU.L	R1, R1, #256
AND.L	R1, R1, #1
CMP.B	R1, #0
JMPC	R30, Z, #1, L__tof_init96
;tof_hw.c,185 :: 		spads_enabled++;
ADD.L	R1, R5, #1
; spads_enabled end address is: 20 (R5)
; spads_enabled start address is: 8 (R2)
BEXTU.L	R2, R1, #256
; spads_enabled end address is: 8 (R2)
BEXTU.L	R5, R2, #256
;tof_hw.c,186 :: 		}
JMP	L_tof_init13
L__tof_init96:
;tof_hw.c,183 :: 		else if ((ref_spad_map[i / 8] >> (i % 8)) & 0x1)
;tof_hw.c,186 :: 		}
L_tof_init13:
; spads_enabled start address is: 20 (R5)
; spads_enabled end address is: 20 (R5)
L_tof_init12:
;tof_hw.c,177 :: 		for ( i = 0; i < 48; i++)
; spads_enabled start address is: 20 (R5)
ADD.L	R4, R4, #1
BEXTU.L	R4, R4, #256
;tof_hw.c,187 :: 		}
; first_spad_to_enable end address is: 0 (R0)
; spads_enabled end address is: 20 (R5)
; i end address is: 16 (R4)
JMP	L_tof_init6
L_tof_init7:
;tof_hw.c,189 :: 		send_buffer[0] = GLOBAL_CONFIG_SPAD_ENABLES_REF_0;
ADD.L	R2, SP, #8
LDK.L	R1, #176
STI.B	R2, #0, R1
;tof_hw.c,190 :: 		for (i = 1; i < 7; i++)
; i start address is: 0 (R0)
LDK.L	R0, #1
; i end address is: 0 (R0)
L_tof_init14:
; i start address is: 0 (R0)
CMP.B	R0, #7
JMPC	R30, C, #0, L_tof_init15
;tof_hw.c,192 :: 		send_buffer[i] = ref_spad_map[i-1];
ADD.L	R1, SP, #8
ADD.L	R3, R1, R0
SUB.L	R2, R0, #1
BEXTS.L	R2, R2, #0
ADD.L	R1, SP, #2
ADD.L	R1, R1, R2
LDI.B	R1, R1, #0
STI.B	R3, #0, R1
;tof_hw.c,190 :: 		for (i = 1; i < 7; i++)
ADD.L	R0, R0, #1
BEXTU.L	R0, R0, #256
;tof_hw.c,193 :: 		}
; i end address is: 0 (R0)
JMP	L_tof_init14
L_tof_init15:
;tof_hw.c,195 :: 		tof_hal_write(VL53L0X_ADDR, ref_spad_map, 6);
ADD.L	R1, SP, #2
LDK.L	R2, #6
LDK.L	R0, #41
CALL	_tof_hal_write+0
;tof_hw.c,197 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,198 :: 		tof_write_reg(0x00, 0x00);
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,200 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,201 :: 		tof_write_reg(0x09, 0x00);
LDK.L	R1, #0
LDK.L	R0, #9
CALL	_tof_write_reg+0
;tof_hw.c,202 :: 		tof_write_reg(0x10, 0x00);
LDK.L	R1, #0
LDK.L	R0, #16
CALL	_tof_write_reg+0
;tof_hw.c,203 :: 		tof_write_reg(0x11, 0x00);
LDK.L	R1, #0
LDK.L	R0, #17
CALL	_tof_write_reg+0
;tof_hw.c,205 :: 		tof_write_reg(0x24, 0x01);
LDK.L	R1, #1
LDK.L	R0, #36
CALL	_tof_write_reg+0
;tof_hw.c,206 :: 		tof_write_reg(0x25, 0xFF);
LDK.L	R1, #255
LDK.L	R0, #37
CALL	_tof_write_reg+0
;tof_hw.c,207 :: 		tof_write_reg(0x75, 0x00);
LDK.L	R1, #0
LDK.L	R0, #117
CALL	_tof_write_reg+0
;tof_hw.c,209 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,210 :: 		tof_write_reg(0x4E, 0x2C);
LDK.L	R1, #44
LDK.L	R0, #78
CALL	_tof_write_reg+0
;tof_hw.c,211 :: 		tof_write_reg(0x48, 0x00);
LDK.L	R1, #0
LDK.L	R0, #72
CALL	_tof_write_reg+0
;tof_hw.c,212 :: 		tof_write_reg(0x30, 0x20);
LDK.L	R1, #32
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,214 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,215 :: 		tof_write_reg(0x30, 0x09);
LDK.L	R1, #9
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,216 :: 		tof_write_reg(0x54, 0x00);
LDK.L	R1, #0
LDK.L	R0, #84
CALL	_tof_write_reg+0
;tof_hw.c,217 :: 		tof_write_reg(0x31, 0x04);
LDK.L	R1, #4
LDK.L	R0, #49
CALL	_tof_write_reg+0
;tof_hw.c,218 :: 		tof_write_reg(0x32, 0x03);
LDK.L	R1, #3
LDK.L	R0, #50
CALL	_tof_write_reg+0
;tof_hw.c,219 :: 		tof_write_reg(0x40, 0x83);
LDK.L	R1, #131
LDK.L	R0, #64
CALL	_tof_write_reg+0
;tof_hw.c,220 :: 		tof_write_reg(0x46, 0x25);
LDK.L	R1, #37
LDK.L	R0, #70
CALL	_tof_write_reg+0
;tof_hw.c,221 :: 		tof_write_reg(0x60, 0x00);
LDK.L	R1, #0
LDK.L	R0, #96
CALL	_tof_write_reg+0
;tof_hw.c,222 :: 		tof_write_reg(0x27, 0x00);
LDK.L	R1, #0
LDK.L	R0, #39
CALL	_tof_write_reg+0
;tof_hw.c,223 :: 		tof_write_reg(0x50, 0x06);
LDK.L	R1, #6
LDK.L	R0, #80
CALL	_tof_write_reg+0
;tof_hw.c,224 :: 		tof_write_reg(0x51, 0x00);
LDK.L	R1, #0
LDK.L	R0, #81
CALL	_tof_write_reg+0
;tof_hw.c,225 :: 		tof_write_reg(0x52, 0x96);
LDK.L	R1, #150
LDK.L	R0, #82
CALL	_tof_write_reg+0
;tof_hw.c,226 :: 		tof_write_reg(0x56, 0x08);
LDK.L	R1, #8
LDK.L	R0, #86
CALL	_tof_write_reg+0
;tof_hw.c,227 :: 		tof_write_reg(0x57, 0x30);
LDK.L	R1, #48
LDK.L	R0, #87
CALL	_tof_write_reg+0
;tof_hw.c,228 :: 		tof_write_reg(0x61, 0x00);
LDK.L	R1, #0
LDK.L	R0, #97
CALL	_tof_write_reg+0
;tof_hw.c,229 :: 		tof_write_reg(0x62, 0x00);
LDK.L	R1, #0
LDK.L	R0, #98
CALL	_tof_write_reg+0
;tof_hw.c,230 :: 		tof_write_reg(0x64, 0x00);
LDK.L	R1, #0
LDK.L	R0, #100
CALL	_tof_write_reg+0
;tof_hw.c,231 :: 		tof_write_reg(0x65, 0x00);
LDK.L	R1, #0
LDK.L	R0, #101
CALL	_tof_write_reg+0
;tof_hw.c,232 :: 		tof_write_reg(0x66, 0xA0);
LDK.L	R1, #160
LDK.L	R0, #102
CALL	_tof_write_reg+0
;tof_hw.c,234 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,235 :: 		tof_write_reg(0x22, 0x32);
LDK.L	R1, #50
LDK.L	R0, #34
CALL	_tof_write_reg+0
;tof_hw.c,236 :: 		tof_write_reg(0x47, 0x14);
LDK.L	R1, #20
LDK.L	R0, #71
CALL	_tof_write_reg+0
;tof_hw.c,237 :: 		tof_write_reg(0x49, 0xFF);
LDK.L	R1, #255
LDK.L	R0, #73
CALL	_tof_write_reg+0
;tof_hw.c,238 :: 		tof_write_reg(0x4A, 0x00);
LDK.L	R1, #0
LDK.L	R0, #74
CALL	_tof_write_reg+0
;tof_hw.c,240 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,241 :: 		tof_write_reg(0x7A, 0x0A);
LDK.L	R1, #10
LDK.L	R0, #122
CALL	_tof_write_reg+0
;tof_hw.c,242 :: 		tof_write_reg(0x7B, 0x00);
LDK.L	R1, #0
LDK.L	R0, #123
CALL	_tof_write_reg+0
;tof_hw.c,243 :: 		tof_write_reg(0x78, 0x21);
LDK.L	R1, #33
LDK.L	R0, #120
CALL	_tof_write_reg+0
;tof_hw.c,245 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,246 :: 		tof_write_reg(0x23, 0x34);
LDK.L	R1, #52
LDK.L	R0, #35
CALL	_tof_write_reg+0
;tof_hw.c,247 :: 		tof_write_reg(0x42, 0x00);
LDK.L	R1, #0
LDK.L	R0, #66
CALL	_tof_write_reg+0
;tof_hw.c,248 :: 		tof_write_reg(0x44, 0xFF);
LDK.L	R1, #255
LDK.L	R0, #68
CALL	_tof_write_reg+0
;tof_hw.c,249 :: 		tof_write_reg(0x45, 0x26);
LDK.L	R1, #38
LDK.L	R0, #69
CALL	_tof_write_reg+0
;tof_hw.c,250 :: 		tof_write_reg(0x46, 0x05);
LDK.L	R1, #5
LDK.L	R0, #70
CALL	_tof_write_reg+0
;tof_hw.c,251 :: 		tof_write_reg(0x40, 0x40);
LDK.L	R1, #64
LDK.L	R0, #64
CALL	_tof_write_reg+0
;tof_hw.c,252 :: 		tof_write_reg(0x0E, 0x06);
LDK.L	R1, #6
LDK.L	R0, #14
CALL	_tof_write_reg+0
;tof_hw.c,253 :: 		tof_write_reg(0x20, 0x1A);
LDK.L	R1, #26
LDK.L	R0, #32
CALL	_tof_write_reg+0
;tof_hw.c,254 :: 		tof_write_reg(0x43, 0x40);
LDK.L	R1, #64
LDK.L	R0, #67
CALL	_tof_write_reg+0
;tof_hw.c,256 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,257 :: 		tof_write_reg(0x34, 0x03);
LDK.L	R1, #3
LDK.L	R0, #52
CALL	_tof_write_reg+0
;tof_hw.c,258 :: 		tof_write_reg(0x35, 0x44);
LDK.L	R1, #68
LDK.L	R0, #53
CALL	_tof_write_reg+0
;tof_hw.c,260 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,261 :: 		tof_write_reg(0x31, 0x04);
LDK.L	R1, #4
LDK.L	R0, #49
CALL	_tof_write_reg+0
;tof_hw.c,262 :: 		tof_write_reg(0x4B, 0x09);
LDK.L	R1, #9
LDK.L	R0, #75
CALL	_tof_write_reg+0
;tof_hw.c,263 :: 		tof_write_reg(0x4C, 0x05);
LDK.L	R1, #5
LDK.L	R0, #76
CALL	_tof_write_reg+0
;tof_hw.c,264 :: 		tof_write_reg(0x4D, 0x04);
LDK.L	R1, #4
LDK.L	R0, #77
CALL	_tof_write_reg+0
;tof_hw.c,266 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,267 :: 		tof_write_reg(0x44, 0x00);
LDK.L	R1, #0
LDK.L	R0, #68
CALL	_tof_write_reg+0
;tof_hw.c,268 :: 		tof_write_reg(0x45, 0x20);
LDK.L	R1, #32
LDK.L	R0, #69
CALL	_tof_write_reg+0
;tof_hw.c,269 :: 		tof_write_reg(0x47, 0x08);
LDK.L	R1, #8
LDK.L	R0, #71
CALL	_tof_write_reg+0
;tof_hw.c,270 :: 		tof_write_reg(0x48, 0x28);
LDK.L	R1, #40
LDK.L	R0, #72
CALL	_tof_write_reg+0
;tof_hw.c,271 :: 		tof_write_reg(0x67, 0x00);
LDK.L	R1, #0
LDK.L	R0, #103
CALL	_tof_write_reg+0
;tof_hw.c,272 :: 		tof_write_reg(0x70, 0x04);
LDK.L	R1, #4
LDK.L	R0, #112
CALL	_tof_write_reg+0
;tof_hw.c,273 :: 		tof_write_reg(0x71, 0x01);
LDK.L	R1, #1
LDK.L	R0, #113
CALL	_tof_write_reg+0
;tof_hw.c,274 :: 		tof_write_reg(0x72, 0xFE);
LDK.L	R1, #254
LDK.L	R0, #114
CALL	_tof_write_reg+0
;tof_hw.c,275 :: 		tof_write_reg(0x76, 0x00);
LDK.L	R1, #0
LDK.L	R0, #118
CALL	_tof_write_reg+0
;tof_hw.c,276 :: 		tof_write_reg(0x77, 0x00);
LDK.L	R1, #0
LDK.L	R0, #119
CALL	_tof_write_reg+0
;tof_hw.c,278 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,279 :: 		tof_write_reg(0x0D, 0x01);
LDK.L	R1, #1
LDK.L	R0, #13
CALL	_tof_write_reg+0
;tof_hw.c,281 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,282 :: 		tof_write_reg(0x80, 0x01);
LDK.L	R1, #1
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,283 :: 		tof_write_reg(0x01, 0xF8);
LDK.L	R1, #248
LDK.L	R0, #1
CALL	_tof_write_reg+0
;tof_hw.c,285 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,286 :: 		tof_write_reg(0x8E, 0x01);
LDK.L	R1, #1
LDK.L	R0, #142
CALL	_tof_write_reg+0
;tof_hw.c,287 :: 		tof_write_reg(0x00, 0x01);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,288 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,289 :: 		tof_write_reg(0x80, 0x00);
LDK.L	R1, #0
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,292 :: 		tof_write_reg(SYSTEM_INTERRUPT_CONFIG_GPIO, 0x04);
LDK.L	R1, #4
LDK.L	R0, #10
CALL	_tof_write_reg+0
;tof_hw.c,293 :: 		tof_write_reg(GPIO_HV_MUX_ACTIVE_HIGH, tof_read_reg(GPIO_HV_MUX_ACTIVE_HIGH) & ~0x10);
LDK.L	R0, #132
CALL	_tof_read_reg+0
AND.L	R1, R0, #-17
BEXTU.L	R1, R1, #256
LDK.L	R0, #132
CALL	_tof_write_reg+0
;tof_hw.c,294 :: 		tof_write_reg(SYSTEM_INTERRUPT_CLEAR, 0x01);
LDK.L	R1, #1
LDK.L	R0, #11
CALL	_tof_write_reg+0
;tof_hw.c,296 :: 		measurement_timing_budget_us = tof_get_measurement_timing_budget();
CALL	_tof_get_measurement_timing_budget+0
STA.L	_measurement_timing_budget_us+0, R0
;tof_hw.c,299 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0xE8);
LDK.L	R1, #232
LDK.L	R0, #1
CALL	_tof_write_reg+0
;tof_hw.c,301 :: 		tof_set_measurement_timing_budget(measurement_timing_budget_us);
LDA.L	R1, _measurement_timing_budget_us+0
MOVE.L	R0, R1
CALL	_tof_set_measurement_timing_budget+0
;tof_hw.c,303 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0x01);
LDK.L	R1, #1
LDK.L	R0, #1
CALL	_tof_write_reg+0
;tof_hw.c,304 :: 		if (!tof_perform_single_ref_calibration(0x40)) { return false; }
LDK.L	R0, #64
CALL	_tof_perform_single_ref_calibration+0
CMP.B	R0, #0
JMPC	R30, Z, #0, L_tof_init17
LDK.L	R0, #0
JMP	L_end_tof_init
L_tof_init17:
;tof_hw.c,307 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0x02);
LDK.L	R1, #2
LDK.L	R0, #1
CALL	_tof_write_reg+0
;tof_hw.c,308 :: 		if (!tof_perform_single_ref_calibration(0x00)) { return false; }
LDK.L	R0, #0
CALL	_tof_perform_single_ref_calibration+0
CMP.B	R0, #0
JMPC	R30, Z, #0, L_tof_init18
LDK.L	R0, #0
JMP	L_end_tof_init
L_tof_init18:
;tof_hw.c,311 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0xE8);
LDK.L	R1, #232
LDK.L	R0, #1
CALL	_tof_write_reg+0
;tof_hw.c,313 :: 		return true;
LDK.L	R0, #1
;tof_hw.c,314 :: 		}
L_end_tof_init:
UNLINK	LR
RETURN	
; end of _tof_init
_tof_set_signal_rate_limit:
;tof_hw.c,317 :: 		bool tof_set_signal_rate_limit(float limit_Mcps)
; limit_Mcps start address is: 0 (R0)
MOVE.L	R1, R0
; limit_Mcps end address is: 0 (R0)
; limit_Mcps start address is: 4 (R1)
;tof_hw.c,319 :: 		if (limit_Mcps < 0 || limit_Mcps > 511.99) { return false; }
LDK.L	R6, #0
MOVE.L	R4, R1
CALL	__Compare_FP+0
JMPC	R30, GTE, #0, L__tof_set_signal_rate_limit84
LDK.L	R6, #1140850360
LDL.L	R6, R6, #1140850360
MOVE.L	R4, R1
CALL	__Compare_FP+0
JMPC	R30, GT, #1, L__tof_set_signal_rate_limit83
JMP	L_tof_set_signal_rate_limit21
; limit_Mcps end address is: 4 (R1)
L__tof_set_signal_rate_limit84:
L__tof_set_signal_rate_limit83:
LDK.L	R0, #0
JMP	L_end_tof_set_signal_rate_limit
L_tof_set_signal_rate_limit21:
;tof_hw.c,322 :: 		tof_write_reg_16Bit(FINAL_RANGE_CONFIG_MIN_COUNT_RATE_RTN_LIMIT, limit_Mcps * (1 << 7));
; limit_Mcps start address is: 4 (R1)
MOVE.L	R4, R1
LDK.L	R6, #1124073472
LDL.L	R6, R6, #1124073472
CALL	__Mul_FP+0
; limit_Mcps end address is: 4 (R1)
MOVE.L	R4, R0
CALL	__FloatToUnsignedIntegral+0
BEXTU.L	R1, R0, #0
LDK.L	R0, #68
CALL	_tof_write_reg_16Bit+0
;tof_hw.c,323 :: 		return true;
LDK.L	R0, #1
;tof_hw.c,324 :: 		}
L_end_tof_set_signal_rate_limit:
RETURN	
; end of _tof_set_signal_rate_limit
_tof_get_signal_rate_limit:
;tof_hw.c,326 :: 		float tof_get_signal_rate_limit(void)
;tof_hw.c,328 :: 		return (float)tof_read_reg_16Bit(FINAL_RANGE_CONFIG_MIN_COUNT_RATE_RTN_LIMIT) / (1 << 7);
LDK.L	R0, #68
CALL	_tof_read_reg_16Bit+0
BEXTU.L	R4, R0, #0
CALL	__Unsigned16IntToFloat+0
LDK.L	R6, #1124073472
LDL.L	R6, R6, #1124073472
MOVE.L	R4, R0
CALL	__Div_FP+0
;tof_hw.c,329 :: 		}
L_end_tof_get_signal_rate_limit:
RETURN	
; end of _tof_get_signal_rate_limit
_tof_set_measurement_timing_budget:
;tof_hw.c,331 :: 		bool tof_set_measurement_timing_budget(uint32_t budget_us)
LINK	LR, #40
STI.L	SP, #36, R0
;tof_hw.c,350 :: 		if (budget_us < MinTimingBudget) { return false; }
LDI.L	R2, SP, #36
LDK.L	R1, #20000
CMP.L	R2, R1
JMPC	R30, C, #0, L_tof_set_measurement_timing_budget22
LDK.L	R0, #0
JMP	L_end_tof_set_measurement_timing_budget
L_tof_set_measurement_timing_budget22:
;tof_hw.c,352 :: 		used_budget_us = StartOverhead + EndOverhead;
; used_budget_us start address is: 0 (R0)
LDK.L	R0, #2280
;tof_hw.c,354 :: 		tof_get_sequence_step_enables(&enables);
ADD.L	R1, SP, #4
STI.L	SP, #0, R0
MOVE.L	R0, R1
CALL	_tof_get_sequence_step_enables+0
;tof_hw.c,355 :: 		tof_get_sequence_step_timeouts(&enables, &timeouts);
ADD.L	R2, SP, #12
ADD.L	R1, SP, #4
MOVE.L	R0, R1
MOVE.L	R1, R2
CALL	_tof_get_sequence_step_timeouts+0
LDI.L	R0, SP, #0
;tof_hw.c,357 :: 		if (enables.tcc)
LDI.B	R1, SP, #4
CMP.B	R1, #0
JMPC	R30, Z, #1, L__tof_set_measurement_timing_budget89
;tof_hw.c,359 :: 		used_budget_us += (timeouts.msrc_dss_tcc_us + TccOverhead);
LDI.L	R2, SP, #24
LDK.L	R1, #590
ADD.L	R1, R2, R1
ADD.L	R2, R0, R1
; used_budget_us end address is: 0 (R0)
; used_budget_us start address is: 8 (R2)
; used_budget_us end address is: 8 (R2)
MOVE.L	R0, R2
;tof_hw.c,360 :: 		}
JMP	L_tof_set_measurement_timing_budget23
L__tof_set_measurement_timing_budget89:
;tof_hw.c,357 :: 		if (enables.tcc)
;tof_hw.c,360 :: 		}
L_tof_set_measurement_timing_budget23:
;tof_hw.c,362 :: 		if (enables.dss)
; used_budget_us start address is: 0 (R0)
LDI.B	R1, SP, #6
CMP.B	R1, #0
JMPC	R30, Z, #1, L_tof_set_measurement_timing_budget24
;tof_hw.c,364 :: 		used_budget_us += 2 * (timeouts.msrc_dss_tcc_us + DssOverhead);
LDI.L	R2, SP, #24
LDK.L	R1, #690
ADD.L	R1, R2, R1
ASHL.L	R1, R1, #1
ADD.L	R0, R0, R1
;tof_hw.c,365 :: 		}
JMP	L_tof_set_measurement_timing_budget25
L_tof_set_measurement_timing_budget24:
;tof_hw.c,366 :: 		else if (enables.msrc)
LDI.B	R1, SP, #5
CMP.B	R1, #0
JMPC	R30, Z, #1, L__tof_set_measurement_timing_budget90
;tof_hw.c,368 :: 		used_budget_us += (timeouts.msrc_dss_tcc_us + MsrcOverhead);
LDI.L	R2, SP, #24
LDK.L	R1, #660
ADD.L	R1, R2, R1
ADD.L	R2, R0, R1
; used_budget_us end address is: 0 (R0)
; used_budget_us start address is: 8 (R2)
; used_budget_us end address is: 8 (R2)
MOVE.L	R0, R2
;tof_hw.c,369 :: 		}
JMP	L_tof_set_measurement_timing_budget26
L__tof_set_measurement_timing_budget90:
;tof_hw.c,366 :: 		else if (enables.msrc)
;tof_hw.c,369 :: 		}
L_tof_set_measurement_timing_budget26:
; used_budget_us start address is: 0 (R0)
; used_budget_us end address is: 0 (R0)
L_tof_set_measurement_timing_budget25:
;tof_hw.c,371 :: 		if (enables.pre_range)
; used_budget_us start address is: 0 (R0)
LDI.B	R1, SP, #7
CMP.B	R1, #0
JMPC	R30, Z, #1, L__tof_set_measurement_timing_budget91
;tof_hw.c,373 :: 		used_budget_us += (timeouts.pre_range_us + PreRangeOverhead);
LDI.L	R2, SP, #28
LDK.L	R1, #660
ADD.L	R1, R2, R1
ADD.L	R1, R0, R1
; used_budget_us end address is: 0 (R0)
; used_budget_us start address is: 8 (R2)
MOVE.L	R2, R1
; used_budget_us end address is: 8 (R2)
MOVE.L	R0, R2
;tof_hw.c,374 :: 		}
JMP	L_tof_set_measurement_timing_budget27
L__tof_set_measurement_timing_budget91:
;tof_hw.c,371 :: 		if (enables.pre_range)
;tof_hw.c,374 :: 		}
L_tof_set_measurement_timing_budget27:
;tof_hw.c,376 :: 		if (enables.final_range)
; used_budget_us start address is: 0 (R0)
LDI.B	R1, SP, #8
CMP.B	R1, #0
JMPC	R30, Z, #1, L_tof_set_measurement_timing_budget28
;tof_hw.c,378 :: 		used_budget_us += FinalRangeOverhead;
LDK.L	R1, #550
ADD.L	R2, R0, R1
MOVE.L	R0, R2
;tof_hw.c,380 :: 		if (used_budget_us > budget_us)
LDI.L	R1, SP, #36
CMP.L	R2, R1
JMPC	R30, A, #0, L_tof_set_measurement_timing_budget29
; used_budget_us end address is: 0 (R0)
;tof_hw.c,382 :: 		return false;
LDK.L	R0, #0
JMP	L_end_tof_set_measurement_timing_budget
;tof_hw.c,383 :: 		}
L_tof_set_measurement_timing_budget29:
;tof_hw.c,385 :: 		final_range_timeout_us = budget_us - used_budget_us;
; used_budget_us start address is: 0 (R0)
LDI.L	R1, SP, #36
SUB.L	R1, R1, R0
; used_budget_us end address is: 0 (R0)
;tof_hw.c,388 :: 		tof_timeout_microseconds_to_mclks(final_range_timeout_us,
MOVE.L	R0, R1
;tof_hw.c,389 :: 		timeouts.final_range_vcsel_period_pclks);
LDI.B	R1, SP, #14
CALL	_tof_timeout_microseconds_to_mclks+0
; final_range_timeout_mclks start address is: 0 (R0)
BEXTU.L	R0, R0, #0
;tof_hw.c,391 :: 		if (enables.pre_range)
LDI.B	R1, SP, #7
CMP.B	R1, #0
JMPC	R30, Z, #1, L__tof_set_measurement_timing_budget92
;tof_hw.c,393 :: 		final_range_timeout_mclks += timeouts.pre_range_mclks;
LDI.S	R1, SP, #18
ADD.L	R1, R0, R1
; final_range_timeout_mclks end address is: 0 (R0)
; final_range_timeout_mclks start address is: 8 (R2)
BEXTU.L	R2, R1, #0
; final_range_timeout_mclks end address is: 8 (R2)
BEXTU.L	R0, R2, #0
;tof_hw.c,394 :: 		}
JMP	L_tof_set_measurement_timing_budget30
L__tof_set_measurement_timing_budget92:
;tof_hw.c,391 :: 		if (enables.pre_range)
;tof_hw.c,394 :: 		}
L_tof_set_measurement_timing_budget30:
;tof_hw.c,397 :: 		tof_encode_timeout(final_range_timeout_mclks));
; final_range_timeout_mclks start address is: 0 (R0)
; final_range_timeout_mclks end address is: 0 (R0)
CALL	_tof_encode_timeout+0
BEXTU.L	R1, R0, #0
;tof_hw.c,396 :: 		tof_write_reg_16Bit(FINAL_RANGE_CONFIG_TIMEOUT_MACROP_HI,
LDK.L	R0, #113
;tof_hw.c,397 :: 		tof_encode_timeout(final_range_timeout_mclks));
CALL	_tof_write_reg_16Bit+0
;tof_hw.c,400 :: 		measurement_timing_budget_us = budget_us;
LDI.L	R1, SP, #36
STA.L	_measurement_timing_budget_us+0, R1
;tof_hw.c,401 :: 		}
L_tof_set_measurement_timing_budget28:
;tof_hw.c,402 :: 		return true;
LDK.L	R0, #1
;tof_hw.c,403 :: 		}
L_end_tof_set_measurement_timing_budget:
UNLINK	LR
RETURN	
; end of _tof_set_measurement_timing_budget
_tof_get_measurement_timing_budget:
;tof_hw.c,405 :: 		uint32_t tof_get_measurement_timing_budget(void)
LINK	LR, #36
;tof_hw.c,418 :: 		uint32_t budget_us = StartOverhead + EndOverhead;
; budget_us start address is: 8 (R2)
LDK.L	R2, #2870
;tof_hw.c,420 :: 		tof_get_sequence_step_enables(&enables);
ADD.L	R0, SP, #4
STI.L	SP, #0, R2
CALL	_tof_get_sequence_step_enables+0
;tof_hw.c,421 :: 		tof_get_sequence_step_timeouts(&enables, &timeouts);
ADD.L	R1, SP, #12
ADD.L	R0, SP, #4
CALL	_tof_get_sequence_step_timeouts+0
LDI.L	R2, SP, #0
;tof_hw.c,423 :: 		if (enables.tcc)
LDI.B	R0, SP, #4
CMP.B	R0, #0
JMPC	R30, Z, #1, L__tof_get_measurement_timing_budget85
;tof_hw.c,425 :: 		budget_us += (timeouts.msrc_dss_tcc_us + TccOverhead);
LDI.L	R1, SP, #24
LDK.L	R0, #590
ADD.L	R0, R1, R0
ADD.L	R2, R2, R0
; budget_us end address is: 8 (R2)
;tof_hw.c,426 :: 		}
JMP	L_tof_get_measurement_timing_budget31
L__tof_get_measurement_timing_budget85:
;tof_hw.c,423 :: 		if (enables.tcc)
;tof_hw.c,426 :: 		}
L_tof_get_measurement_timing_budget31:
;tof_hw.c,428 :: 		if (enables.dss)
; budget_us start address is: 8 (R2)
LDI.B	R0, SP, #6
CMP.B	R0, #0
JMPC	R30, Z, #1, L_tof_get_measurement_timing_budget32
;tof_hw.c,430 :: 		budget_us += 2 * (timeouts.msrc_dss_tcc_us + DssOverhead);
LDI.L	R1, SP, #24
LDK.L	R0, #690
ADD.L	R0, R1, R0
ASHL.L	R0, R0, #1
ADD.L	R2, R2, R0
;tof_hw.c,431 :: 		}
JMP	L_tof_get_measurement_timing_budget33
L_tof_get_measurement_timing_budget32:
;tof_hw.c,432 :: 		else if (enables.msrc)
LDI.B	R0, SP, #5
CMP.B	R0, #0
JMPC	R30, Z, #1, L__tof_get_measurement_timing_budget86
;tof_hw.c,434 :: 		budget_us += (timeouts.msrc_dss_tcc_us + MsrcOverhead);
LDI.L	R1, SP, #24
LDK.L	R0, #660
ADD.L	R0, R1, R0
ADD.L	R1, R2, R0
; budget_us end address is: 8 (R2)
; budget_us start address is: 4 (R1)
; budget_us end address is: 4 (R1)
MOVE.L	R2, R1
;tof_hw.c,435 :: 		}
JMP	L_tof_get_measurement_timing_budget34
L__tof_get_measurement_timing_budget86:
;tof_hw.c,432 :: 		else if (enables.msrc)
;tof_hw.c,435 :: 		}
L_tof_get_measurement_timing_budget34:
; budget_us start address is: 8 (R2)
; budget_us end address is: 8 (R2)
L_tof_get_measurement_timing_budget33:
;tof_hw.c,437 :: 		if (enables.pre_range)
; budget_us start address is: 8 (R2)
LDI.B	R0, SP, #7
CMP.B	R0, #0
JMPC	R30, Z, #1, L__tof_get_measurement_timing_budget87
;tof_hw.c,439 :: 		budget_us += (timeouts.pre_range_us + PreRangeOverhead);
LDI.L	R1, SP, #28
LDK.L	R0, #660
ADD.L	R0, R1, R0
ADD.L	R2, R2, R0
; budget_us end address is: 8 (R2)
;tof_hw.c,440 :: 		}
JMP	L_tof_get_measurement_timing_budget35
L__tof_get_measurement_timing_budget87:
;tof_hw.c,437 :: 		if (enables.pre_range)
;tof_hw.c,440 :: 		}
L_tof_get_measurement_timing_budget35:
;tof_hw.c,442 :: 		if (enables.final_range)
; budget_us start address is: 8 (R2)
LDI.B	R0, SP, #8
CMP.B	R0, #0
JMPC	R30, Z, #1, L__tof_get_measurement_timing_budget88
;tof_hw.c,444 :: 		budget_us += (timeouts.final_range_us + FinalRangeOverhead);
LDI.L	R1, SP, #32
LDK.L	R0, #550
ADD.L	R0, R1, R0
ADD.L	R0, R2, R0
; budget_us end address is: 8 (R2)
; budget_us start address is: 4 (R1)
MOVE.L	R1, R0
; budget_us end address is: 4 (R1)
MOVE.L	R0, R1
;tof_hw.c,445 :: 		}
JMP	L_tof_get_measurement_timing_budget36
L__tof_get_measurement_timing_budget88:
;tof_hw.c,442 :: 		if (enables.final_range)
MOVE.L	R0, R2
;tof_hw.c,445 :: 		}
L_tof_get_measurement_timing_budget36:
;tof_hw.c,447 :: 		measurement_timing_budget_us = budget_us;
; budget_us start address is: 0 (R0)
STA.L	_measurement_timing_budget_us+0, R0
;tof_hw.c,448 :: 		return budget_us;
; budget_us end address is: 0 (R0)
;tof_hw.c,449 :: 		}
L_end_tof_get_measurement_timing_budget:
UNLINK	LR
RETURN	
; end of _tof_get_measurement_timing_budget
_tof_set_vcsel_pulse_period:
;tof_hw.c,451 :: 		bool tof_set_vcsel_pulse_period(vcselPeriodType type, uint8_t period_pclks)
LINK	LR, #40
STI.B	SP, #32, R0
STI.B	SP, #36, R1
;tof_hw.c,453 :: 		uint8_t vcsel_period_reg = tof_encode_timeout(period_pclks);
LDI.B	R0, SP, #36
CALL	_tof_encode_timeout+0
STI.B	SP, #0, R0
;tof_hw.c,462 :: 		tof_get_sequence_step_enables(&enables);
ADD.L	R2, SP, #2
MOVE.L	R0, R2
CALL	_tof_get_sequence_step_enables+0
;tof_hw.c,463 :: 		tof_get_sequence_step_timeouts(&enables, &timeouts);
ADD.L	R3, SP, #8
ADD.L	R2, SP, #2
MOVE.L	R1, R3
MOVE.L	R0, R2
CALL	_tof_get_sequence_step_timeouts+0
;tof_hw.c,466 :: 		if (type == VcselPeriodPreRange)
LDI.B	R2, SP, #32
CMP.B	R2, #0
JMPC	R30, Z, #0, L_tof_set_vcsel_pulse_period37
;tof_hw.c,468 :: 		switch (period_pclks)
JMP	L_tof_set_vcsel_pulse_period38
;tof_hw.c,470 :: 		case 12:
L_tof_set_vcsel_pulse_period40:
;tof_hw.c,471 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_HIGH, 0x18);
LDK.L	R1, #24
LDK.L	R0, #87
CALL	_tof_write_reg+0
;tof_hw.c,472 :: 		break;
JMP	L_tof_set_vcsel_pulse_period39
;tof_hw.c,474 :: 		case 14:
L_tof_set_vcsel_pulse_period41:
;tof_hw.c,475 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_HIGH, 0x30);
LDK.L	R1, #48
LDK.L	R0, #87
CALL	_tof_write_reg+0
;tof_hw.c,476 :: 		break;
JMP	L_tof_set_vcsel_pulse_period39
;tof_hw.c,478 :: 		case 16:
L_tof_set_vcsel_pulse_period42:
;tof_hw.c,479 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_HIGH, 0x40);
LDK.L	R1, #64
LDK.L	R0, #87
CALL	_tof_write_reg+0
;tof_hw.c,480 :: 		break;
JMP	L_tof_set_vcsel_pulse_period39
;tof_hw.c,482 :: 		case 18:
L_tof_set_vcsel_pulse_period43:
;tof_hw.c,483 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_HIGH, 0x50);
LDK.L	R1, #80
LDK.L	R0, #87
CALL	_tof_write_reg+0
;tof_hw.c,484 :: 		break;
JMP	L_tof_set_vcsel_pulse_period39
;tof_hw.c,486 :: 		default:
L_tof_set_vcsel_pulse_period44:
;tof_hw.c,488 :: 		return false;
LDK.L	R0, #0
JMP	L_end_tof_set_vcsel_pulse_period
;tof_hw.c,489 :: 		}
L_tof_set_vcsel_pulse_period38:
LDI.B	R2, SP, #36
CMP.B	R2, #12
JMPC	R30, Z, #1, L_tof_set_vcsel_pulse_period40
LDI.B	R2, SP, #36
CMP.B	R2, #14
JMPC	R30, Z, #1, L_tof_set_vcsel_pulse_period41
LDI.B	R2, SP, #36
CMP.B	R2, #16
JMPC	R30, Z, #1, L_tof_set_vcsel_pulse_period42
LDI.B	R2, SP, #36
CMP.B	R2, #18
JMPC	R30, Z, #1, L_tof_set_vcsel_pulse_period43
JMP	L_tof_set_vcsel_pulse_period44
L_tof_set_vcsel_pulse_period39:
;tof_hw.c,490 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_LOW, 0x08);
LDK.L	R1, #8
LDK.L	R0, #86
CALL	_tof_write_reg+0
;tof_hw.c,493 :: 		tof_write_reg(PRE_RANGE_CONFIG_VCSEL_PERIOD, vcsel_period_reg);
LDI.B	R1, SP, #0
LDK.L	R0, #80
CALL	_tof_write_reg+0
;tof_hw.c,496 :: 		tof_timeout_microseconds_to_mclks(timeouts.pre_range_us, period_pclks);
LDI.B	R1, SP, #36
LDI.L	R0, SP, #24
CALL	_tof_timeout_microseconds_to_mclks+0
;tof_hw.c,499 :: 		tof_encode_timeout(new_pre_range_timeout_mclks));
BEXTU.L	R0, R0, #0
CALL	_tof_encode_timeout+0
BEXTU.L	R1, R0, #0
;tof_hw.c,498 :: 		tof_write_reg_16Bit(PRE_RANGE_CONFIG_TIMEOUT_MACROP_HI,
LDK.L	R0, #81
;tof_hw.c,499 :: 		tof_encode_timeout(new_pre_range_timeout_mclks));
CALL	_tof_write_reg_16Bit+0
;tof_hw.c,503 :: 		tof_timeout_microseconds_to_mclks(timeouts.msrc_dss_tcc_us, period_pclks);
LDI.B	R1, SP, #36
LDI.L	R0, SP, #20
CALL	_tof_timeout_microseconds_to_mclks+0
; new_msrc_timeout_mclks start address is: 4 (R1)
BEXTU.L	R1, R0, #0
;tof_hw.c,506 :: 		(new_msrc_timeout_mclks > 256) ? 255 : (new_msrc_timeout_mclks - 1));
BEXTU.L	R2, R0, #0
CMP.S	R2, #256
JMPC	R30, A, #0, L_tof_set_vcsel_pulse_period45
; new_msrc_timeout_mclks end address is: 4 (R1)
; ?FLOC___tof_set_vcsel_pulse_period?T196 start address is: 0 (R0)
LDK.L	R0, #255
; ?FLOC___tof_set_vcsel_pulse_period?T196 end address is: 0 (R0)
JMP	L_tof_set_vcsel_pulse_period46
L_tof_set_vcsel_pulse_period45:
; new_msrc_timeout_mclks start address is: 4 (R1)
SUB.L	R0, R1, #1
BEXTU.L	R0, R0, #0
; new_msrc_timeout_mclks end address is: 4 (R1)
; ?FLOC___tof_set_vcsel_pulse_period?T196 start address is: 0 (R0)
; ?FLOC___tof_set_vcsel_pulse_period?T196 end address is: 0 (R0)
L_tof_set_vcsel_pulse_period46:
; ?FLOC___tof_set_vcsel_pulse_period?T196 start address is: 0 (R0)
BEXTU.L	R1, R0, #256
; ?FLOC___tof_set_vcsel_pulse_period?T196 end address is: 0 (R0)
;tof_hw.c,505 :: 		tof_write_reg(MSRC_CONFIG_TIMEOUT_MACROP,
LDK.L	R0, #70
;tof_hw.c,506 :: 		(new_msrc_timeout_mclks > 256) ? 255 : (new_msrc_timeout_mclks - 1));
CALL	_tof_write_reg+0
;tof_hw.c,509 :: 		}
JMP	L_tof_set_vcsel_pulse_period47
L_tof_set_vcsel_pulse_period37:
;tof_hw.c,510 :: 		else if (type == VcselPeriodFinalRange)
LDI.B	R2, SP, #32
CMP.B	R2, #1
JMPC	R30, Z, #0, L_tof_set_vcsel_pulse_period48
;tof_hw.c,512 :: 		switch (period_pclks)
JMP	L_tof_set_vcsel_pulse_period49
;tof_hw.c,514 :: 		case 8:
L_tof_set_vcsel_pulse_period51:
;tof_hw.c,515 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_HIGH, 0x10);
LDK.L	R1, #16
LDK.L	R0, #72
CALL	_tof_write_reg+0
;tof_hw.c,516 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_LOW,  0x08);
LDK.L	R1, #8
LDK.L	R0, #71
CALL	_tof_write_reg+0
;tof_hw.c,517 :: 		tof_write_reg(GLOBAL_CONFIG_VCSEL_WIDTH, 0x02);
LDK.L	R1, #2
LDK.L	R0, #50
CALL	_tof_write_reg+0
;tof_hw.c,518 :: 		tof_write_reg(ALGO_PHASECAL_CONFIG_TIMEOUT, 0x0C);
LDK.L	R1, #12
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,519 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,520 :: 		tof_write_reg(ALGO_PHASECAL_LIM, 0x30);
LDK.L	R1, #48
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,521 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,522 :: 		break;
JMP	L_tof_set_vcsel_pulse_period50
;tof_hw.c,524 :: 		case 10:
L_tof_set_vcsel_pulse_period52:
;tof_hw.c,525 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_HIGH, 0x28);
LDK.L	R1, #40
LDK.L	R0, #72
CALL	_tof_write_reg+0
;tof_hw.c,526 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_LOW,  0x08);
LDK.L	R1, #8
LDK.L	R0, #71
CALL	_tof_write_reg+0
;tof_hw.c,527 :: 		tof_write_reg(GLOBAL_CONFIG_VCSEL_WIDTH, 0x03);
LDK.L	R1, #3
LDK.L	R0, #50
CALL	_tof_write_reg+0
;tof_hw.c,528 :: 		tof_write_reg(ALGO_PHASECAL_CONFIG_TIMEOUT, 0x09);
LDK.L	R1, #9
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,529 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,530 :: 		tof_write_reg(ALGO_PHASECAL_LIM, 0x20);
LDK.L	R1, #32
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,531 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,532 :: 		break;
JMP	L_tof_set_vcsel_pulse_period50
;tof_hw.c,534 :: 		case 12:
L_tof_set_vcsel_pulse_period53:
;tof_hw.c,535 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_HIGH, 0x38);
LDK.L	R1, #56
LDK.L	R0, #72
CALL	_tof_write_reg+0
;tof_hw.c,536 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_LOW,  0x08);
LDK.L	R1, #8
LDK.L	R0, #71
CALL	_tof_write_reg+0
;tof_hw.c,537 :: 		tof_write_reg(GLOBAL_CONFIG_VCSEL_WIDTH, 0x03);
LDK.L	R1, #3
LDK.L	R0, #50
CALL	_tof_write_reg+0
;tof_hw.c,538 :: 		tof_write_reg(ALGO_PHASECAL_CONFIG_TIMEOUT, 0x08);
LDK.L	R1, #8
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,539 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,540 :: 		tof_write_reg(ALGO_PHASECAL_LIM, 0x20);
LDK.L	R1, #32
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,541 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,542 :: 		break;
JMP	L_tof_set_vcsel_pulse_period50
;tof_hw.c,544 :: 		case 14:
L_tof_set_vcsel_pulse_period54:
;tof_hw.c,545 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_HIGH, 0x48);
LDK.L	R1, #72
LDK.L	R0, #72
CALL	_tof_write_reg+0
;tof_hw.c,546 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_LOW,  0x08);
LDK.L	R1, #8
LDK.L	R0, #71
CALL	_tof_write_reg+0
;tof_hw.c,547 :: 		tof_write_reg(GLOBAL_CONFIG_VCSEL_WIDTH, 0x03);
LDK.L	R1, #3
LDK.L	R0, #50
CALL	_tof_write_reg+0
;tof_hw.c,548 :: 		tof_write_reg(ALGO_PHASECAL_CONFIG_TIMEOUT, 0x07);
LDK.L	R1, #7
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,549 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,550 :: 		tof_write_reg(ALGO_PHASECAL_LIM, 0x20);
LDK.L	R1, #32
LDK.L	R0, #48
CALL	_tof_write_reg+0
;tof_hw.c,551 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,552 :: 		break;
JMP	L_tof_set_vcsel_pulse_period50
;tof_hw.c,554 :: 		default:
L_tof_set_vcsel_pulse_period55:
;tof_hw.c,556 :: 		return false;
LDK.L	R0, #0
JMP	L_end_tof_set_vcsel_pulse_period
;tof_hw.c,557 :: 		}
L_tof_set_vcsel_pulse_period49:
LDI.B	R2, SP, #36
CMP.B	R2, #8
JMPC	R30, Z, #1, L_tof_set_vcsel_pulse_period51
LDI.B	R2, SP, #36
CMP.B	R2, #10
JMPC	R30, Z, #1, L_tof_set_vcsel_pulse_period52
LDI.B	R2, SP, #36
CMP.B	R2, #12
JMPC	R30, Z, #1, L_tof_set_vcsel_pulse_period53
LDI.B	R2, SP, #36
CMP.B	R2, #14
JMPC	R30, Z, #1, L_tof_set_vcsel_pulse_period54
JMP	L_tof_set_vcsel_pulse_period55
L_tof_set_vcsel_pulse_period50:
;tof_hw.c,560 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VCSEL_PERIOD, vcsel_period_reg);
LDI.B	R1, SP, #0
LDK.L	R0, #112
CALL	_tof_write_reg+0
;tof_hw.c,564 :: 		tof_timeout_microseconds_to_mclks(timeouts.final_range_us, period_pclks);
LDI.B	R1, SP, #36
LDI.L	R0, SP, #28
CALL	_tof_timeout_microseconds_to_mclks+0
; new_final_range_timeout_mclks start address is: 0 (R0)
BEXTU.L	R0, R0, #0
;tof_hw.c,566 :: 		if (enables.pre_range)
LDI.B	R2, SP, #5
CMP.B	R2, #0
JMPC	R30, Z, #1, L__tof_set_vcsel_pulse_period97
;tof_hw.c,568 :: 		new_final_range_timeout_mclks += timeouts.pre_range_mclks;
LDI.S	R2, SP, #14
ADD.L	R2, R0, R2
; new_final_range_timeout_mclks end address is: 0 (R0)
; new_final_range_timeout_mclks start address is: 4 (R1)
BEXTU.L	R1, R2, #0
; new_final_range_timeout_mclks end address is: 4 (R1)
BEXTU.L	R0, R1, #0
;tof_hw.c,569 :: 		}
JMP	L_tof_set_vcsel_pulse_period56
L__tof_set_vcsel_pulse_period97:
;tof_hw.c,566 :: 		if (enables.pre_range)
;tof_hw.c,569 :: 		}
L_tof_set_vcsel_pulse_period56:
;tof_hw.c,572 :: 		tof_encode_timeout(new_final_range_timeout_mclks));
; new_final_range_timeout_mclks start address is: 0 (R0)
; new_final_range_timeout_mclks end address is: 0 (R0)
CALL	_tof_encode_timeout+0
BEXTU.L	R1, R0, #0
;tof_hw.c,571 :: 		tof_write_reg_16Bit(FINAL_RANGE_CONFIG_TIMEOUT_MACROP_HI,
LDK.L	R0, #113
;tof_hw.c,572 :: 		tof_encode_timeout(new_final_range_timeout_mclks));
CALL	_tof_write_reg_16Bit+0
;tof_hw.c,575 :: 		}
JMP	L_tof_set_vcsel_pulse_period57
L_tof_set_vcsel_pulse_period48:
;tof_hw.c,579 :: 		return false;
LDK.L	R0, #0
JMP	L_end_tof_set_vcsel_pulse_period
;tof_hw.c,580 :: 		}
L_tof_set_vcsel_pulse_period57:
L_tof_set_vcsel_pulse_period47:
;tof_hw.c,584 :: 		tof_set_measurement_timing_budget(measurement_timing_budget_us);
LDA.L	R2, _measurement_timing_budget_us+0
MOVE.L	R0, R2
CALL	_tof_set_measurement_timing_budget+0
;tof_hw.c,587 :: 		sequence_config = tof_read_reg(SYSTEM_SEQUENCE_CONFIG);
LDK.L	R0, #1
CALL	_tof_read_reg+0
STI.B	SP, #1, R0
;tof_hw.c,588 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0x02);
LDK.L	R1, #2
LDK.L	R0, #1
CALL	_tof_write_reg+0
;tof_hw.c,589 :: 		tof_perform_single_ref_calibration(0x0);
LDK.L	R0, #0
CALL	_tof_perform_single_ref_calibration+0
;tof_hw.c,590 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, sequence_config);
LDI.B	R1, SP, #1
LDK.L	R0, #1
CALL	_tof_write_reg+0
;tof_hw.c,593 :: 		return true;
LDK.L	R0, #1
;tof_hw.c,594 :: 		}
L_end_tof_set_vcsel_pulse_period:
UNLINK	LR
RETURN	
; end of _tof_set_vcsel_pulse_period
_tof_get_vcsel_pulse_period:
;tof_hw.c,596 :: 		uint8_t tof_get_vcsel_pulse_period(vcselPeriodType type)
; type start address is: 0 (R0)
; type end address is: 0 (R0)
; type start address is: 0 (R0)
;tof_hw.c,598 :: 		if (type == VcselPeriodPreRange)
CMP.B	R0, #0
JMPC	R30, Z, #0, L_tof_get_vcsel_pulse_period58
; type end address is: 0 (R0)
;tof_hw.c,600 :: 		return tof_decode_vcsel_period(tof_read_reg(PRE_RANGE_CONFIG_VCSEL_PERIOD));
LDK.L	R0, #80
CALL	_tof_read_reg+0
ADD.L	R1, R0, #1
BEXTS.L	R1, R1, #0
ASHL.L	R1, R1, #1
BEXTU.L	R0, R1, #256
JMP	L_end_tof_get_vcsel_pulse_period
;tof_hw.c,601 :: 		}
L_tof_get_vcsel_pulse_period58:
;tof_hw.c,602 :: 		else if (type == VcselPeriodFinalRange)
; type start address is: 0 (R0)
CMP.B	R0, #1
JMPC	R30, Z, #0, L_tof_get_vcsel_pulse_period60
; type end address is: 0 (R0)
;tof_hw.c,604 :: 		return tof_decode_vcsel_period(tof_read_reg(FINAL_RANGE_CONFIG_VCSEL_PERIOD));
LDK.L	R0, #112
CALL	_tof_read_reg+0
ADD.L	R1, R0, #1
BEXTS.L	R1, R1, #0
ASHL.L	R1, R1, #1
BEXTU.L	R0, R1, #256
JMP	L_end_tof_get_vcsel_pulse_period
;tof_hw.c,605 :: 		}
L_tof_get_vcsel_pulse_period60:
;tof_hw.c,606 :: 		else { return 255; }
LDK.L	R0, #255
;tof_hw.c,607 :: 		}
L_end_tof_get_vcsel_pulse_period:
RETURN	
; end of _tof_get_vcsel_pulse_period
_tof_start_continuous:
;tof_hw.c,609 :: 		void tof_start_continuous(uint32_t period_ms)
LINK	LR, #4
STI.L	SP, #0, R0
;tof_hw.c,611 :: 		tof_write_reg(0x80, 0x01);
LDK.L	R1, #1
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,612 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,613 :: 		tof_write_reg(0x00, 0x00);
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,614 :: 		tof_write_reg(0x91, stop_variable);
LDA.B	R1, _stop_variable+0
LDK.L	R0, #145
CALL	_tof_write_reg+0
;tof_hw.c,615 :: 		tof_write_reg(0x00, 0x01);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,616 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,617 :: 		tof_write_reg(0x80, 0x00);
LDK.L	R1, #0
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,619 :: 		if (period_ms != 0)
LDI.L	R1, SP, #0
CMP.L	R1, #0
JMPC	R30, Z, #1, L_tof_start_continuous62
;tof_hw.c,622 :: 		uint16_t osc_calibrate_val = tof_read_reg_16Bit(OSC_CALIBRATE_VAL);
LDK.L	R0, #248
CALL	_tof_read_reg_16Bit+0
; osc_calibrate_val start address is: 8 (R2)
BEXTU.L	R2, R0, #0
;tof_hw.c,624 :: 		if (osc_calibrate_val != 0)
CMP.S	R0, #0
JMPC	R30, Z, #1, L_tof_start_continuous63
;tof_hw.c,626 :: 		period_ms *= osc_calibrate_val;
LDI.L	R1, SP, #0
MUL.L	R1, R1, R2
; osc_calibrate_val end address is: 8 (R2)
STI.L	SP, #0, R1
;tof_hw.c,627 :: 		}
L_tof_start_continuous63:
;tof_hw.c,629 :: 		tof_write_reg_32Bit(SYSTEM_INTERMEASUREMENT_PERIOD, period_ms);
LDI.L	R1, SP, #0
LDK.L	R0, #4
CALL	_tof_write_reg_32Bit+0
;tof_hw.c,633 :: 		tof_write_reg(SYSRANGE_START, 0x04);
LDK.L	R1, #4
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,634 :: 		}
JMP	L_tof_start_continuous64
L_tof_start_continuous62:
;tof_hw.c,637 :: 		tof_write_reg(SYSRANGE_START, 0x02);
LDK.L	R1, #2
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,638 :: 		}
L_tof_start_continuous64:
;tof_hw.c,639 :: 		}
L_end_tof_start_continuous:
UNLINK	LR
RETURN	
; end of _tof_start_continuous
_tof_stop_continuous:
;tof_hw.c,641 :: 		void tof_stop_continuous(void)
;tof_hw.c,643 :: 		tof_write_reg(SYSRANGE_START, 0x01);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,645 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,646 :: 		tof_write_reg(0x00, 0x00);
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,647 :: 		tof_write_reg(0x91, 0x00);
LDK.L	R1, #0
LDK.L	R0, #145
CALL	_tof_write_reg+0
;tof_hw.c,648 :: 		tof_write_reg(0x00, 0x01);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,649 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,650 :: 		}
L_end_tof_stop_continuous:
RETURN	
; end of _tof_stop_continuous
_tof_read_range_continuous_millimeters:
;tof_hw.c,652 :: 		uint16_t tof_read_range_continuous_millimeters(void)
LINK	LR, #4
;tof_hw.c,655 :: 		tof_start_timeout();
CALL	_milliseconds+0
STA.S	_timeout_start_ms+0, R0
;tof_hw.c,656 :: 		while ((tof_read_reg(RESULT_INTERRUPT_STATUS) & 0x07) == 0)
L_tof_read_range_continuous_millimeters65:
LDK.L	R0, #19
CALL	_tof_read_reg+0
AND.L	R0, R0, #7
CMP.B	R0, #0
JMPC	R30, Z, #0, L_tof_read_range_continuous_millimeters66
;tof_hw.c,658 :: 		if (tof_check_timeout_expired())
CALL	_tof_check_timeout_expired+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_tof_read_range_continuous_millimeters67
;tof_hw.c,660 :: 		did_timeout = true;
LDK.L	R0, #1
STA.B	_did_timeout+0, R0
;tof_hw.c,661 :: 		return 65535;
LDK.L	R0, #65535
JMP	L_end_tof_read_range_continuous_millimeters
;tof_hw.c,662 :: 		}
L_tof_read_range_continuous_millimeters67:
;tof_hw.c,663 :: 		}
JMP	L_tof_read_range_continuous_millimeters65
L_tof_read_range_continuous_millimeters66:
;tof_hw.c,665 :: 		range = tof_read_reg_16Bit(RESULT_RANGE_STATUS + 10);
LDK.L	R0, #30
CALL	_tof_read_reg_16Bit+0
; range start address is: 0 (R0)
;tof_hw.c,667 :: 		tof_write_reg(SYSTEM_INTERRUPT_CLEAR, 0x01);
STI.S	SP, #0, R0
LDK.L	R1, #1
LDK.L	R0, #11
CALL	_tof_write_reg+0
LDI.S	R0, SP, #0
;tof_hw.c,669 :: 		return range;
; range end address is: 0 (R0)
;tof_hw.c,670 :: 		}
L_end_tof_read_range_continuous_millimeters:
UNLINK	LR
RETURN	
; end of _tof_read_range_continuous_millimeters
_tof_read_range_single_millimeters:
;tof_hw.c,672 :: 		uint16_t tof_read_range_single_millimeters(void)
;tof_hw.c,674 :: 		tof_write_reg(0x80, 0x01);
LDK.L	R1, #1
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,675 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,676 :: 		tof_write_reg(0x00, 0x00);
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,677 :: 		tof_write_reg(0x91, stop_variable);
LDA.B	R0, _stop_variable+0
BEXTU.L	R1, R0, #256
LDK.L	R0, #145
CALL	_tof_write_reg+0
;tof_hw.c,678 :: 		tof_write_reg(0x00, 0x01);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,679 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,680 :: 		tof_write_reg(0x80, 0x00);
LDK.L	R1, #0
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,682 :: 		tof_write_reg(SYSRANGE_START, 0x01);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,684 :: 		tof_start_timeout();
CALL	_milliseconds+0
STA.S	_timeout_start_ms+0, R0
;tof_hw.c,685 :: 		while (tof_read_reg(SYSRANGE_START) & 0x01)
L_tof_read_range_single_millimeters68:
LDK.L	R0, #0
CALL	_tof_read_reg+0
AND.L	R0, R0, #1
CMP.B	R0, #0
JMPC	R30, Z, #1, L_tof_read_range_single_millimeters69
;tof_hw.c,687 :: 		if (tof_check_timeout_expired())
CALL	_tof_check_timeout_expired+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_tof_read_range_single_millimeters70
;tof_hw.c,689 :: 		did_timeout = true;
LDK.L	R0, #1
STA.B	_did_timeout+0, R0
;tof_hw.c,690 :: 		return 65535;
LDK.L	R0, #65535
JMP	L_end_tof_read_range_single_millimeters
;tof_hw.c,691 :: 		}
L_tof_read_range_single_millimeters70:
;tof_hw.c,692 :: 		}
JMP	L_tof_read_range_single_millimeters68
L_tof_read_range_single_millimeters69:
;tof_hw.c,694 :: 		return tof_read_range_continuous_millimeters();
CALL	_tof_read_range_continuous_millimeters+0
;tof_hw.c,695 :: 		}
L_end_tof_read_range_single_millimeters:
RETURN	
; end of _tof_read_range_single_millimeters
_tof_timeout_occurred:
;tof_hw.c,697 :: 		bool tof_timeout_occurred()
;tof_hw.c,699 :: 		bool tmp = did_timeout;
; tmp start address is: 4 (R1)
LDA.B	R1, _did_timeout+0
;tof_hw.c,700 :: 		did_timeout = false;
LDK.L	R0, #0
STA.B	_did_timeout+0, R0
;tof_hw.c,701 :: 		return tmp;
BEXTU.L	R0, R1, #256
; tmp end address is: 4 (R1)
;tof_hw.c,702 :: 		}
L_end_tof_timeout_occurred:
RETURN	
; end of _tof_timeout_occurred
_tof_get_spad_info:
;tof_hw.c,704 :: 		bool tof_get_spad_info(uint8_t * count, bool * type_is_aperture)
LINK	LR, #8
STI.L	SP, #0, R0
STI.L	SP, #4, R1
;tof_hw.c,708 :: 		tof_write_reg(0x80, 0x01);
LDK.L	R1, #1
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,709 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,710 :: 		tof_write_reg(0x00, 0x00);
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,712 :: 		tof_write_reg(0xFF, 0x06);
LDK.L	R1, #6
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,713 :: 		tof_write_reg(0x83, tof_read_reg(0x83) | 0x04);
LDK.L	R0, #131
CALL	_tof_read_reg+0
OR.L	R2, R0, #4
BEXTU.L	R1, R2, #256
LDK.L	R0, #131
CALL	_tof_write_reg+0
;tof_hw.c,714 :: 		tof_write_reg(0xFF, 0x07);
LDK.L	R1, #7
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,715 :: 		tof_write_reg(0x81, 0x01);
LDK.L	R1, #1
LDK.L	R0, #129
CALL	_tof_write_reg+0
;tof_hw.c,717 :: 		tof_write_reg(0x80, 0x01);
LDK.L	R1, #1
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,719 :: 		tof_write_reg(0x94, 0x6b);
LDK.L	R1, #107
LDK.L	R0, #148
CALL	_tof_write_reg+0
;tof_hw.c,720 :: 		tof_write_reg(0x83, 0x00);
LDK.L	R1, #0
LDK.L	R0, #131
CALL	_tof_write_reg+0
;tof_hw.c,721 :: 		tof_start_timeout();
CALL	_milliseconds+0
STA.S	_timeout_start_ms+0, R0
;tof_hw.c,722 :: 		while (tof_read_reg(0x83) == 0x00)
L_tof_get_spad_info71:
LDK.L	R0, #131
CALL	_tof_read_reg+0
CMP.B	R0, #0
JMPC	R30, Z, #0, L_tof_get_spad_info72
;tof_hw.c,724 :: 		if (tof_check_timeout_expired()) { return false; }
CALL	_tof_check_timeout_expired+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_tof_get_spad_info73
LDK.L	R0, #0
JMP	L_end_tof_get_spad_info
L_tof_get_spad_info73:
;tof_hw.c,725 :: 		}
JMP	L_tof_get_spad_info71
L_tof_get_spad_info72:
;tof_hw.c,726 :: 		tof_write_reg(0x83, 0x01);
LDK.L	R1, #1
LDK.L	R0, #131
CALL	_tof_write_reg+0
;tof_hw.c,727 :: 		tmp = tof_read_reg(0x92);
LDK.L	R0, #146
CALL	_tof_read_reg+0
; tmp start address is: 4 (R1)
BEXTU.L	R1, R0, #256
;tof_hw.c,729 :: 		*count = tmp & 0x7f;
AND.L	R3, R0, #127
LDI.L	R2, SP, #0
STI.B	R2, #0, R3
;tof_hw.c,730 :: 		*type_is_aperture = (tmp >> 7) & 0x01;
BEXTU.L	R2, R1, #256
; tmp end address is: 4 (R1)
LSHR.L	R2, R2, #7
BEXTU.L	R2, R2, #256
AND.L	R3, R2, #1
LDI.L	R2, SP, #4
STI.B	R2, #0, R3
;tof_hw.c,732 :: 		tof_write_reg(0x81, 0x00);
LDK.L	R1, #0
LDK.L	R0, #129
CALL	_tof_write_reg+0
;tof_hw.c,733 :: 		tof_write_reg(0xFF, 0x06);
LDK.L	R1, #6
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,734 :: 		tof_write_reg(0x83, tof_read_reg( 0x83  & ~0x04));
LDK.L	R0, #131
CALL	_tof_read_reg+0
BEXTU.L	R1, R0, #256
LDK.L	R0, #131
CALL	_tof_write_reg+0
;tof_hw.c,735 :: 		tof_write_reg(0xFF, 0x01);
LDK.L	R1, #1
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,736 :: 		tof_write_reg(0x00, 0x01);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,738 :: 		tof_write_reg(0xFF, 0x00);
LDK.L	R1, #0
LDK.L	R0, #255
CALL	_tof_write_reg+0
;tof_hw.c,739 :: 		tof_write_reg(0x80, 0x00);
LDK.L	R1, #0
LDK.L	R0, #128
CALL	_tof_write_reg+0
;tof_hw.c,741 :: 		return true;
LDK.L	R0, #1
;tof_hw.c,742 :: 		}
L_end_tof_get_spad_info:
UNLINK	LR
RETURN	
; end of _tof_get_spad_info
_tof_get_sequence_step_enables:
;tof_hw.c,744 :: 		void tof_get_sequence_step_enables(SequenceStepEnables * enables)
; enables start address is: 0 (R0)
LINK	LR, #4
MOVE.L	R3, R0
; enables end address is: 0 (R0)
; enables start address is: 12 (R3)
;tof_hw.c,746 :: 		uint8_t sequence_config = tof_read_reg(SYSTEM_SEQUENCE_CONFIG);
STI.L	SP, #0, R3
LDK.L	R0, #1
CALL	_tof_read_reg+0
LDI.L	R3, SP, #0
; sequence_config start address is: 16 (R4)
BEXTU.L	R4, R0, #256
;tof_hw.c,748 :: 		enables->tcc          = (sequence_config >> 4) & 0x1;
BEXTU.L	R1, R0, #256
LSHR.L	R1, R1, #4
BEXTU.L	R1, R1, #256
AND.L	R1, R1, #1
STI.B	R3, #0, R1
;tof_hw.c,749 :: 		enables->dss          = (sequence_config >> 3) & 0x1;
ADD.L	R2, R3, #2
BEXTU.L	R1, R4, #256
LSHR.L	R1, R1, #3
BEXTU.L	R1, R1, #256
AND.L	R1, R1, #1
STI.B	R2, #0, R1
;tof_hw.c,750 :: 		enables->msrc         = (sequence_config >> 2) & 0x1;
ADD.L	R2, R3, #1
BEXTU.L	R1, R4, #256
LSHR.L	R1, R1, #2
BEXTU.L	R1, R1, #256
AND.L	R1, R1, #1
STI.B	R2, #0, R1
;tof_hw.c,751 :: 		enables->pre_range    = (sequence_config >> 6) & 0x1;
ADD.L	R2, R3, #3
BEXTU.L	R1, R4, #256
LSHR.L	R1, R1, #6
BEXTU.L	R1, R1, #256
AND.L	R1, R1, #1
STI.B	R2, #0, R1
;tof_hw.c,752 :: 		enables->final_range  = (sequence_config >> 7) & 0x1;
ADD.L	R2, R3, #4
; enables end address is: 12 (R3)
BEXTU.L	R1, R4, #256
; sequence_config end address is: 16 (R4)
LSHR.L	R1, R1, #7
BEXTU.L	R1, R1, #256
AND.L	R1, R1, #1
STI.B	R2, #0, R1
;tof_hw.c,753 :: 		}
L_end_tof_get_sequence_step_enables:
UNLINK	LR
RETURN	
; end of _tof_get_sequence_step_enables
_tof_get_sequence_step_timeouts:
;tof_hw.c,755 :: 		void tof_get_sequence_step_timeouts(SequenceStepEnables * enables, SequenceStepTimeouts * timeouts)
LINK	LR, #16
STI.L	SP, #0, R0
STI.L	SP, #4, R1
;tof_hw.c,757 :: 		timeouts->pre_range_vcsel_period_pclks = tof_get_vcsel_pulse_period(VcselPeriodPreRange);
LDI.L	R2, SP, #4
STI.L	SP, #12, R2
LDK.L	R0, #0
CALL	_tof_get_vcsel_pulse_period+0
LDI.L	R2, SP, #12
STI.S	R2, #0, R0
;tof_hw.c,759 :: 		timeouts->msrc_dss_tcc_mclks = tof_read_reg(MSRC_CONFIG_TIMEOUT_MACROP) + 1;
LDI.L	R2, SP, #4
ADD.L	R2, R2, #4
STI.L	SP, #12, R2
LDK.L	R0, #70
CALL	_tof_read_reg+0
ADD.L	R3, R0, #1
LDI.L	R2, SP, #12
STI.S	R2, #0, R3
;tof_hw.c,760 :: 		timeouts->msrc_dss_tcc_us =
LDI.L	R4, SP, #4
ADD.L	R2, R4, #12
STI.L	SP, #12, R2
;tof_hw.c,762 :: 		timeouts->pre_range_vcsel_period_pclks);
LDI.L	R2, SP, #4
LDI.S	R2, R2, #0
BEXTU.L	R3, R2, #256
;tof_hw.c,761 :: 		tof_timeout_mclks_to_microseconds(timeouts->msrc_dss_tcc_mclks,
ADD.L	R2, R4, #4
LDI.S	R2, R2, #0
;tof_hw.c,762 :: 		timeouts->pre_range_vcsel_period_pclks);
BEXTU.L	R1, R3, #256
;tof_hw.c,761 :: 		tof_timeout_mclks_to_microseconds(timeouts->msrc_dss_tcc_mclks,
BEXTU.L	R0, R2, #0
;tof_hw.c,762 :: 		timeouts->pre_range_vcsel_period_pclks);
CALL	_tof_timeout_mclks_to_microseconds+0
LDI.L	R2, SP, #12
STI.L	R2, #0, R0
;tof_hw.c,764 :: 		timeouts->pre_range_mclks =
LDI.L	R2, SP, #4
ADD.L	R2, R2, #6
STI.L	SP, #12, R2
;tof_hw.c,765 :: 		tof_decode_timeout(tof_read_reg_16Bit(PRE_RANGE_CONFIG_TIMEOUT_MACROP_HI));
LDK.L	R0, #81
CALL	_tof_read_reg_16Bit+0
CALL	_tof_decode_timeout+0
LDI.L	R2, SP, #12
STI.S	R2, #0, R0
;tof_hw.c,766 :: 		timeouts->pre_range_us =
LDI.L	R4, SP, #4
ADD.L	R2, R4, #16
STI.L	SP, #12, R2
;tof_hw.c,768 :: 		timeouts->pre_range_vcsel_period_pclks);
LDI.L	R2, SP, #4
LDI.S	R2, R2, #0
BEXTU.L	R3, R2, #256
;tof_hw.c,767 :: 		tof_timeout_mclks_to_microseconds(timeouts->pre_range_mclks,
ADD.L	R2, R4, #6
LDI.S	R2, R2, #0
;tof_hw.c,768 :: 		timeouts->pre_range_vcsel_period_pclks);
BEXTU.L	R1, R3, #256
;tof_hw.c,767 :: 		tof_timeout_mclks_to_microseconds(timeouts->pre_range_mclks,
BEXTU.L	R0, R2, #0
;tof_hw.c,768 :: 		timeouts->pre_range_vcsel_period_pclks);
CALL	_tof_timeout_mclks_to_microseconds+0
LDI.L	R2, SP, #12
STI.L	R2, #0, R0
;tof_hw.c,770 :: 		timeouts->final_range_vcsel_period_pclks = tof_get_vcsel_pulse_period(VcselPeriodFinalRange);
LDI.L	R2, SP, #4
ADD.L	R2, R2, #2
STI.L	SP, #12, R2
LDK.L	R0, #1
CALL	_tof_get_vcsel_pulse_period+0
LDI.L	R2, SP, #12
STI.S	R2, #0, R0
;tof_hw.c,772 :: 		timeouts->final_range_mclks =
LDI.L	R2, SP, #4
ADD.L	R2, R2, #8
STI.L	SP, #12, R2
;tof_hw.c,773 :: 		tof_decode_timeout(tof_read_reg_16Bit(FINAL_RANGE_CONFIG_TIMEOUT_MACROP_HI));
LDK.L	R0, #113
CALL	_tof_read_reg_16Bit+0
CALL	_tof_decode_timeout+0
LDI.L	R2, SP, #12
STI.S	R2, #0, R0
;tof_hw.c,775 :: 		if (enables->pre_range)
LDI.L	R2, SP, #0
ADD.L	R2, R2, #3
LDI.B	R2, R2, #0
CMP.B	R2, #0
JMPC	R30, Z, #1, L_tof_get_sequence_step_timeouts74
;tof_hw.c,777 :: 		timeouts->final_range_mclks -= timeouts->pre_range_mclks;
LDI.L	R2, SP, #4
ADD.L	R4, R2, #8
ADD.L	R2, R2, #6
LDI.S	R3, R2, #0
LDI.S	R2, R4, #0
SUB.L	R2, R2, R3
STI.S	R4, #0, R2
;tof_hw.c,778 :: 		}
L_tof_get_sequence_step_timeouts74:
;tof_hw.c,780 :: 		timeouts->final_range_us =
LDI.L	R4, SP, #4
ADD.L	R2, R4, #20
STI.L	SP, #12, R2
;tof_hw.c,782 :: 		timeouts->final_range_vcsel_period_pclks);
ADD.L	R2, R4, #2
LDI.S	R2, R2, #0
BEXTU.L	R3, R2, #256
;tof_hw.c,781 :: 		tof_timeout_mclks_to_microseconds(timeouts->final_range_mclks,
ADD.L	R2, R4, #8
LDI.S	R2, R2, #0
;tof_hw.c,782 :: 		timeouts->final_range_vcsel_period_pclks);
BEXTU.L	R1, R3, #256
;tof_hw.c,781 :: 		tof_timeout_mclks_to_microseconds(timeouts->final_range_mclks,
BEXTU.L	R0, R2, #0
;tof_hw.c,782 :: 		timeouts->final_range_vcsel_period_pclks);
CALL	_tof_timeout_mclks_to_microseconds+0
LDI.L	R2, SP, #12
STI.L	R2, #0, R0
;tof_hw.c,783 :: 		}
L_end_tof_get_sequence_step_timeouts:
UNLINK	LR
RETURN	
; end of _tof_get_sequence_step_timeouts
_tof_decode_timeout:
;tof_hw.c,785 :: 		uint16_t tof_decode_timeout(uint16_t reg_val)
; reg_val start address is: 0 (R0)
; reg_val end address is: 0 (R0)
; reg_val start address is: 0 (R0)
;tof_hw.c,787 :: 		return (uint16_t)((reg_val & 0x00FF) <<
AND.L	R2, R0, #255
BEXTU.L	R2, R2, #0
;tof_hw.c,788 :: 		(uint16_t)((reg_val & 0xFF00) >> 8)) + 1;
LDK.L	R1, #65280
AND.L	R1, R0, R1
BEXTU.L	R1, R1, #0
; reg_val end address is: 0 (R0)
LSHR.L	R1, R1, #8
BEXTU.L	R1, R1, #0
ASHL.L	R1, R2, R1
BEXTU.L	R1, R1, #0
ADD.L	R1, R1, #1
BEXTU.L	R0, R1, #0
;tof_hw.c,789 :: 		}
L_end_tof_decode_timeout:
RETURN	
; end of _tof_decode_timeout
_tof_encode_timeout:
;tof_hw.c,791 :: 		uint16_t tof_encode_timeout(uint16_t timeout_mclks)
; timeout_mclks start address is: 0 (R0)
BEXTU.L	R2, R0, #0
; timeout_mclks end address is: 0 (R0)
; timeout_mclks start address is: 8 (R2)
;tof_hw.c,793 :: 		uint32_t ls_byte = 0;
;tof_hw.c,794 :: 		uint16_t ms_byte = 0;
; ms_byte start address is: 0 (R0)
LDK.L	R0, #0
;tof_hw.c,796 :: 		if (timeout_mclks > 0)
CMP.S	R2, #0
JMPC	R30, A, #0, L_tof_encode_timeout75
;tof_hw.c,798 :: 		ls_byte = timeout_mclks - 1;
SUB.L	R3, R2, #1
; timeout_mclks end address is: 8 (R2)
; ls_byte start address is: 12 (R3)
BEXTU.L	R3, R3, #0
; ls_byte end address is: 12 (R3)
; ms_byte end address is: 0 (R0)
;tof_hw.c,800 :: 		while ((ls_byte & 0xFFFFFF00) > 0)
L_tof_encode_timeout76:
; ls_byte start address is: 12 (R3)
; ms_byte start address is: 0 (R0)
LDK.L	R1, #-256
AND.L	R1, R3, R1
CMP.L	R1, #0
JMPC	R30, A, #0, L_tof_encode_timeout77
;tof_hw.c,802 :: 		ls_byte >>= 1;
LSHR.L	R3, R3, #1
;tof_hw.c,803 :: 		ms_byte++;
ADD.L	R0, R0, #1
BEXTU.L	R0, R0, #0
;tof_hw.c,804 :: 		}
JMP	L_tof_encode_timeout76
L_tof_encode_timeout77:
;tof_hw.c,806 :: 		return (ms_byte << 8) | (ls_byte & 0xFF);
BEXTU.L	R1, R0, #0
; ms_byte end address is: 0 (R0)
ASHL.L	R2, R1, #8
BEXTU.L	R2, R2, #0
AND.L	R1, R3, #255
; ls_byte end address is: 12 (R3)
OR.L	R1, R2, R1
BEXTU.L	R0, R1, #0
JMP	L_end_tof_encode_timeout
;tof_hw.c,807 :: 		}
L_tof_encode_timeout75:
;tof_hw.c,808 :: 		else { return 0; }
LDK.L	R0, #0
;tof_hw.c,809 :: 		}
L_end_tof_encode_timeout:
RETURN	
; end of _tof_encode_timeout
_tof_timeout_mclks_to_microseconds:
;tof_hw.c,811 :: 		uint32_t tof_timeout_mclks_to_microseconds(uint16_t timeout_period_mclks, uint8_t vcsel_period_pclks)
; vcsel_period_pclks start address is: 4 (R1)
; timeout_period_mclks start address is: 0 (R0)
; vcsel_period_pclks end address is: 4 (R1)
; timeout_period_mclks end address is: 0 (R0)
; timeout_period_mclks start address is: 0 (R0)
; vcsel_period_pclks start address is: 4 (R1)
;tof_hw.c,813 :: 		uint32_t macro_period_ns = tof_calc_macro_period(vcsel_period_pclks);
LDK.L	R2, #2304
MUL.L	R3, R2, R1
; vcsel_period_pclks end address is: 4 (R1)
LDK.L	R2, #1655
MUL.L	R2, R3, R2
ADD.L	R2, R2, #500
LDK.L	R4, #1000
UDIV.L	R2, R2, R4
;tof_hw.c,815 :: 		return ((timeout_period_mclks * macro_period_ns) + (macro_period_ns / 2)) / 1000;
MUL.L	R3, R0, R2
; timeout_period_mclks end address is: 0 (R0)
LSHR.L	R2, R2, #1
ADD.L	R2, R3, R2
UDIV.L	R2, R2, R4
MOVE.L	R0, R2
;tof_hw.c,816 :: 		}
L_end_tof_timeout_mclks_to_microseconds:
RETURN	
; end of _tof_timeout_mclks_to_microseconds
_tof_timeout_microseconds_to_mclks:
;tof_hw.c,818 :: 		uint32_t tof_timeout_microseconds_to_mclks(uint32_t timeout_period_us, uint8_t vcsel_period_pclks)
; vcsel_period_pclks start address is: 4 (R1)
; timeout_period_us start address is: 0 (R0)
; vcsel_period_pclks end address is: 4 (R1)
; timeout_period_us end address is: 0 (R0)
; timeout_period_us start address is: 0 (R0)
; vcsel_period_pclks start address is: 4 (R1)
;tof_hw.c,820 :: 		uint32_t macro_period_ns = tof_calc_macro_period(vcsel_period_pclks);
LDK.L	R2, #2304
MUL.L	R3, R2, R1
; vcsel_period_pclks end address is: 4 (R1)
LDK.L	R2, #1655
MUL.L	R2, R3, R2
ADD.L	R3, R2, #500
LDK.L	R2, #1000
UDIV.L	R4, R3, R2
;tof_hw.c,822 :: 		return (((timeout_period_us * 1000) + (macro_period_ns / 2)) / macro_period_ns);
MUL.L	R3, R0, R2
; timeout_period_us end address is: 0 (R0)
LSHR.L	R2, R4, #1
ADD.L	R2, R3, R2
UDIV.L	R2, R2, R4
MOVE.L	R0, R2
;tof_hw.c,823 :: 		}
L_end_tof_timeout_microseconds_to_mclks:
RETURN	
; end of _tof_timeout_microseconds_to_mclks
_tof_perform_single_ref_calibration:
;tof_hw.c,825 :: 		bool tof_perform_single_ref_calibration(uint8_t vhv_init_byte)
; vhv_init_byte start address is: 0 (R0)
; vhv_init_byte end address is: 0 (R0)
; vhv_init_byte start address is: 0 (R0)
;tof_hw.c,827 :: 		tof_write_reg(SYSRANGE_START, 0x01 | vhv_init_byte);
OR.L	R1, R0, #1
; vhv_init_byte end address is: 0 (R0)
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,829 :: 		tof_start_timeout();
CALL	_milliseconds+0
STA.S	_timeout_start_ms+0, R0
;tof_hw.c,830 :: 		while ((tof_read_reg(RESULT_INTERRUPT_STATUS) & 0x07) == 0)
L_tof_perform_single_ref_calibration79:
LDK.L	R0, #19
CALL	_tof_read_reg+0
AND.L	R1, R0, #7
CMP.B	R1, #0
JMPC	R30, Z, #0, L_tof_perform_single_ref_calibration80
;tof_hw.c,832 :: 		if (tof_check_timeout_expired()) { return false; }
CALL	_tof_check_timeout_expired+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_tof_perform_single_ref_calibration81
LDK.L	R0, #0
JMP	L_end_tof_perform_single_ref_calibration
L_tof_perform_single_ref_calibration81:
;tof_hw.c,833 :: 		}
JMP	L_tof_perform_single_ref_calibration79
L_tof_perform_single_ref_calibration80:
;tof_hw.c,835 :: 		tof_write_reg(SYSTEM_INTERRUPT_CLEAR, 0x01);
LDK.L	R1, #1
LDK.L	R0, #11
CALL	_tof_write_reg+0
;tof_hw.c,837 :: 		tof_write_reg(SYSRANGE_START, 0x00);
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_tof_write_reg+0
;tof_hw.c,839 :: 		return true;
LDK.L	R0, #1
;tof_hw.c,840 :: 		}
L_end_tof_perform_single_ref_calibration:
RETURN	
; end of _tof_perform_single_ref_calibration
